/* $Header: /usr/local/src/nvrToMIT/RCS/checkpel.c,v 3.2 1994/03/11 19:16:38 toddb Exp $ */

#define NeedFunctionPrototypes 1

#include <stdio.h>
#include "vmpegdecomp.h"

char *BitString(int value, int nBits)
{
    int i, bitsPrinted;
    static char buf[ 100 ];
    char *p = buf;

    bitsPrinted = 0;
    for (i = nBits-1; i >= 0; i--) {
	*p++ = '0' + ((value & (1<<i)) != 0);
	if ((++bitsPrinted & 0x3) == 0)
	    *p++ = ' ';
    }
    *p = '\0';
    return (buf);
}

main()
{
    int fullPel;
    int yHoriz, cHoriz;
    int yVert, cVert;
    int sYHoriz, sCHoriz;
    int horiz, vert;
    int halfLumaPixel, halfChromaPixel;
    int sHoriz, sHalfLumaPixel, sHalfChromaPixel;
    char buf[ BUFSIZ ];

    vert = -8;
    for (fullPel = 0; fullPel <= 1; fullPel++) {
	for (horiz = 16; horiz >= -16; horiz--) {
	    yHoriz = horiz;
	    yVert = vert;
	    halfLumaPixel = halfChromaPixel = 0;
	    AdjustPelMotion(fullPel,
				HALF_HORIZ_BACK_SHIFT,
				HALF_VERT_BACK_SHIFT,
				yHoriz, yVert,
				cHoriz, cVert,
				halfLumaPixel, halfChromaPixel);
	    sHalfChromaPixel = halfChromaPixel;
	    sHalfLumaPixel = halfLumaPixel;

	    printf("%s m=%3d (%s) Y=%3d%1s, ",
		fullPel ? "full pel" : "half pel",
		horiz,
		BitString(horiz, 8),
		sYHoriz = yHoriz,
		halfLumaPixel & HALF_HORIZ_BACK_PIXEL ? "+" : "");
	    printf("C=%3d%1s",
		sCHoriz = cHoriz,
		halfChromaPixel & HALF_HORIZ_BACK_PIXEL ? "+" : "");

	    halfLumaPixel = halfChromaPixel = 0;
	    if (fullPel)
		horiz <<= 1;
	    yHoriz = horiz >> 1;
	    halfLumaPixel |=
		(horiz - (yHoriz<<1)) << HALF_HORIZ_BACK_SHIFT;

	    printf(" vs. Y=%3d%1s, ",
		yHoriz, halfLumaPixel & HALF_HORIZ_BACK_PIXEL ? "+" : "");

	    cHoriz = (horiz/2) >> 1;
	    halfChromaPixel |=
		(horiz/2 - (cHoriz<<1)) << HALF_HORIZ_BACK_SHIFT;
	    printf("C=%3d%1s",
		cHoriz,
		halfChromaPixel & HALF_HORIZ_BACK_PIXEL ? "+" : "");

	    if (fullPel)
		horiz >>= 1;

	    if (sYHoriz != yHoriz)
		printf("bad y,");
	    if (sCHoriz != cHoriz)
		printf("bad c,");
	    if (sHalfLumaPixel != halfLumaPixel)
		printf("bad +y");
	    if (sHalfChromaPixel != halfChromaPixel)
		printf("bad +c,");
	    printf("\n");
	}
    }
}
