/*
 * Copyright (c) 1992,1993, North Valley Research, Inc.
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	macaifc.c - mac-specific aifc audio routines for mpeg decoder
 *
 * DESCRIPTION
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/macaifc.c,v 1.1 1994/04/05 23:13:22 toddb Exp $
 */

#define NeedFunctionPrototypes 1

#include "vmpegdecomp.h"

static boolean
AifcOpen(DisplayInfoPtr dpyInfo)
{
    return(True);
}

static void
AifcClose(DisplayInfoPtr dpyInfo)
{
}

static boolean
AifcPreload(DisplayInfoPtr dpyInfo)
{
    return(False);
}

static boolean
DevOpen(DisplayInfoPtr dpyInfo)
{
    return(False);
}

static void
DevClose(DisplayInfoPtr dpyInfo)
{
}

static boolean
DevUpdate(DisplayInfoPtr dpyInfo)
{
    return(False);
}

AudioFuncs AiffFuncs = {
    AifcOpen,
    AifcClose,
    AifcPreload,

    DevOpen,
    DevClose,
    DevUpdate
};
