/*
 * (c) Copyright 1992, 1993 North Valley Research, Inc.
 * 	All Rights Reserved
 *
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	<name> - <one-line description of header file>
 *
 * DESCRIPTION
 *	<overall description of what the header file does>
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/fileAccessI.h,v 1.7 1994/12/18 07:55:56 toddb Exp $
 */
#ifndef _FILEACCESSI_H_
#define _FILEACCESSI_H_

/************************************************************************
 *
 * Includes, and defines for thinkc/mac
 *
 ************************************************************************/

#ifdef THINK_C
#include <errno.h>
#include <unix.h>
#include <stat.h>
#define 	S_IFIFO		0x0004
#define 	S_IFLNK 	0x0005
#define 	S_IFSOCK 	0x0006

extern int lstat(char *path, struct stat *st);
#endif /* THINK_C */

#ifdef __MWERKS__
#include <errno.h>
#include "macUnix.h"
#endif

#include "fileAccess.h"
#include "osio.h"

/************************************************************************
 *
 * Includes, and defines for unix
 *
 ************************************************************************/

#if defined(_HPUX_SOURCE) || defined(sgi)

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <sys/param.h>
#include <stdio.h>
#include <strings.h>
#include <dirent.h>
#include <errno.h>
typedef struct dirent *DirPtr;

#endif /* defined(_HPUX_SOURCE, sgi) */

#ifdef sun

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <sys/param.h>
#include <stdio.h>

#ifdef Solaris1
# include <strings.h>
# include <dirent.h>
  typedef struct dirent *DirPtr;
#endif

#ifdef Solaris2
# include <dirent.h>
  typedef struct dirent *DirPtr;
#endif

#include <errno.h>

extern int lstat(
    const char *,		/* path */
    struct stat *
);

#endif /* sun */

/************************************************************************
 *
 * Includes, and defines for vxworks
 *
 ************************************************************************/

#ifdef VXWORKS

#include <errno.h>

#endif /* VXWORKS */

extern int    errno;

#endif /* _FILEACCESSI_H_ */
