/*
 * Copyright (c) 1992,1993, North Valley Research, Inc.
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	nvrMvex.c
 *
 * DESCRIPTION
 *	mvex-specific routines.  (obsolete)
 *	X-DEPENDENT
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/nvrMvex.c,v 1.4 1994/01/10 18:48:13 toddb Exp $
 */

#include "nvrTypes.h"
#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include "xextension.h"
#include "nvrMvex.h"

#ifdef INCLUDE_MVEX
#include "MVEXlib.h"

ULong ConfirmMVEX(Display *dpy, int screenIndex, ULong abilities)
{
    MVEXVin *pXvins;
    int nvins;

    pXvins = MVEXGetVins(dpy, screenIndex, &nvins);
    if (nvins == 0)
	abilities &= ~VDPY_MVEX;
    return (abilities);
}

#else /* INCLUDE_MVEX */

ULong ConfirmMVEX(Display *dpy, int screenIndex, ULong abilities)
{

    return (abilities &= ~VDPY_MVEX);

}

#endif /* INCLUDE_MVEX */
