/* $Header: /usr/local/src/nvrToMIT/RCS/extImageIoI.h,v 1.1 1995/08/30 02:20:29 russ Exp $ */
/*
 * (c) Copyright 1992-1995 North Valley Research, Inc.
 * 	All Rights Reserved
 *
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	extImageIoI.h - private interface to external file reading process
 *
 * DESCRIPTION
 *	implements the private portion of this interface
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/extImageIoI.h,v 1.1 1995/08/30 02:20:29 russ Exp $
 */
#ifndef _EXTIMAGEIOI_H_
#define _EXTIMAGEIOI_H_

#include "extImageIo.h"
#include "extImageProto.h"

#define NvrExternProcess "extImageIOproc"

typedef struct _privExtImageIo {
    ExtImageIo pub;
    ExtImageInfo imageInfo;
    ExtImageConfig config;

    ExtProcCtl procCtl;		/* treated as read-only */
/*  start filled by open */
    boolean isOpen;
    FileContentType fType;
    int nImage;
/* end filled by open */


} PrivExtImageIo, *PrivExtImageIoPtr;

#endif /* _EXTIMAGEIOI_H_ */

