/*
 * (c) Copyright 1992, 1993 North Valley Research, Inc.
 * 	All Rights Reserved
 *
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	mpegcompP.h - definitions private to the mpeg compressor/decompressor
 *
 * DESCRIPTION
 *	<overall description of what the header file does>
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/mpegdecompP.h,v 1.2 1994/02/18 17:12:31 toddb Exp $
 */
#ifndef _MPEGDECOMP_P_H_
#define _MPEGDECOMP_P_H_

#include "mpegdecomp.h"

/*
 *	DEFINES
 */
#define Initialized(server, mask) (((server)->assigned & (mask)) == (mask))

/*
 *	TYPEDEFS
 */
typedef struct {
    McsServerRec base;		/* base server information */

    McsMpegDecomp param;	/* copy of the decompressor parameters */
    ULong assigned;		/* values we have record of */
    ULong notFlushed;		/* values not yet set to server */
    TwoWayPipe io;		/* connection *to* the server */
    boolean stopSent;		/* true if explicit stop has been sent */
} McsMpegDecPriv, *McsMpegDecPrivPtr;

/*
 *	EXTERNS
 */

extern McsServerClassPtr MpegDecompClass;

#endif /* _MPEGDECOMP_P_H_ */
