/*
 * Copyright (c) 1992,1993, North Valley Research, Inc.
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *      WmUtil.c - X window manager stuff
 *
 * DESCRIPTION
 *
 * $Header: /usr/local/src/nvr/applications/RCS/OnePlay.c,v 1.5 1994/10/03 02:00
:35 toddb Exp $
 */
#include "WmUtil.h"

#include <Xm/Xm.h>
#include <Xm/Protocols.h>
#include <Xm/AtomMgr.h>

void InitWmProperties(Widget w, XtCallbackProc quitCB)
{
    Atom        wmDeleteWindow;

    /* Link window manager close button to quit callback */
    XtVaSetValues(w, XmNdeleteResponse, XmDO_NOTHING, NULL);
    wmDeleteWindow = XmInternAtom(XtDisplay(w), "WM_DELETE_WINDOW", False);
    XmAddWMProtocolCallback(w, wmDeleteWindow, quitCB, NULL);
}
