/*
 * Copyright (c) 1992,1993,1994 North Valley Research, Inc.
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	mpeg1vcb.h - macro and function declaration for doing user callbacks
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/mpeg1vcb.h,v 1.2 1995/05/02 20:19:17 toddb Exp $
 */

#ifndef MPEG1VCB_H
#define MPEG1VCB_H

#if defined(Mpeg1VCallbacks) || defined(CheckMpeg1VSyntax)

CExternal void CallCallback(
    Mpeg1VDecPrivPtr vdec,
    Mpeg1VCbType
);

CExternal void SetCallbackTokenStart(
    Mpeg1VDecPrivPtr vdec,
    UChar *pSrc
);

CExternal void FreeCallbackPacket(
    Mpeg1VDecPrivPtr vdec
);

#else /* Mpeg1VCallbacks */

#define CallCallback(_vdec, _cbType)			/* as nothing */
#define SetCallbackTokenStart(_vdec, _pSrc)		/* as nothing */
#define FreeCallbackPacket(_vdec)			/* as nothing */

#endif /* Mpeg1VCallbacks */

#endif /* MPEG1VCB_H */
