/* $Header: /usr/local/src/nvrToMIT/RCS/GenericDialogs.H,v 1.4 1993/09/09 02:21:09 toddb Exp $ */

#ifndef _GenericDialogs_H_
#define _GenericDialogs_H_

#include "nvrTypes.h"
#include <Xm/Xm.h>

CExternal void AskUser(
#if NeedFunctionPrototypes
    Widget parent, char* question,
    XtCallbackProc YesCB, XtPointer YesData,
    XtCallbackProc NoCB,  XtPointer NoData,
    XtCallbackProc HelpCB, XtPointer HelpData,
    XtCallbackProc MapCB, XtPointer MapData
#endif
);

CExternal void WarnUser(
#if NeedFunctionPrototypes
    Widget parent, char* warning,
    XtCallbackProc OkCB, XtPointer OkData,
    XtCallbackProc CancelCB,  XtPointer CancelData,
    XtCallbackProc HelpCB, XtPointer HelpData,
    XtCallbackProc MapCB, XtPointer MapData
#endif
);

CExternal void BlindInformUser(
#if NeedFunctionPrototypes
    Widget parent, char* message
#endif
);

CExternal void InformUser(
#if NeedFunctionPrototypes
    Widget parent, char* message,
    XtCallbackProc OkCB, XtPointer OkData,
    XtCallbackProc HelpCB, XtPointer HelpData,
    XtCallbackProc MapCB, XtPointer MapData
#endif
);

CExternal void MakeWidgetDialog(
#if NeedFunctionPrototypes
    Widget parent, char* title,
    Widget *shellReturn, Widget *widgetParentReturn,
    XtCallbackProc YesCB, XtPointer YesData, char* YesLabel,
    XtCallbackProc NoCB,  XtPointer NoData, char* NoLabel,
    XtCallbackProc Custom1CB, XtPointer Custom1Data, char* Custom1Label,
    XtCallbackProc Custom2CB, XtPointer Custom2Data, char* Custom2Label,
    XtCallbackProc HelpCB, XtPointer HelpData, char* HelpLabel,
    XtCallbackProc MapCB, XtPointer MapData
#endif
);

#endif /* _GenericDialogs_H_ */

