/* $Header: /usr/local/src/nvrToMIT/RCS/PlxJpegDisplayP.h,v 1.1 1993/01/20 06:59:08 alt Exp $ */

#ifndef _PlxJpegDisplayP_h_
#define _PlxJpegDisplayP_h_

#include "PlxJpegDisplay.h"
#include "VideoDisplayP.h"
#include "mcs-server.h"

/* The class definition for the PlxJpegDisplay Widget */
typedef struct _XnvrPlxJpegDisplayClassPart
{
    XtPointer extension;
} XnvrPlxJpegDisplayClassPart;

typedef struct _XnvrPlxJpegDisplayClassRec
{
    CoreClassPart	    core_class;
    XnvrVideoDisplayClassPart	videoDisplay_class;
    XnvrPlxJpegDisplayClassPart PlxJpegDisplay_class;
} XnvrPlxJpegDisplayClassRec;

extern XnvrPlxJpegDisplayClassRec xnvrPlxJpegDisplayClassRec;

/* Instance record for the PlxJpegDisplay Widget */
typedef struct _XnvrPlxJpegDisplayPart
{
    /*
     * Resource Variables
     */
    XtCallbackList	config_callback;
    XtPointer		mcs_server;

    /*
     * Private State
     */
    Bool firstRedisplay;
} XnvrPlxJpegDisplayPart;

typedef struct _XnvrPlxJpegDisplayRec
{
    CorePart		    core;
    XnvrVideoDisplayPart    videoDisplay;
    XnvrPlxJpegDisplayPart	    plxJpegDisplay;
} XnvrPlxJpegDisplayRec;

#endif /* _PlxJpegDisplayP_h_ */
