/*
 * (c) Copyright 1992, 1993 North Valley Research, Inc.
 * 	All Rights Reserved
 *
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	SelectionBox.h
 *
 * DESCRIPTION
 *	defines functions in SelectionBox.c
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/SelectionBox.h,v 1.3 1994/10/02 23:58:07 toddb Exp $
 */
#ifndef _SELECTION_BOX_H_
#define _SELECTION_BOX_H_

#include "nvrBitTest.h"

CExternal char **GetFileList(
    char *directory,
    BitMaskPtr types
);

CExternal char **FileSearch(
    Widget,
    XmFileSelectionBoxCallbackStruct *,
    BitMaskPtr types
);

#endif /* _SELECTION_BOX_H_ */
