/* $Header: /usr/local/src/nvrToMIT/RCS/VideoDisplay.h,v 1.7 1995/04/12 23:09:57 russ Exp $ */

#ifndef _VideoDisplay_h_
#define _VideoDisplay_h_

#include <Xm/Xm.h>

/* New resource definitions */

#define XnvrNexposeCallback     "exposeCallback"
#define XnvrCexposeCallback     "ExposeCallback"
#define XnvrNrealizeCallback    "realizeCallback"
#define XnvrCrealizeCallback    "RealizeCallback"
#define XnvrNhue		"hue"
#define XnvrChue		"Hue"
#define XnvrNmaxHue		"maxHue"
#define XnvrCmaxHue		"MaxHue"
#define XnvrNminHue		"minHue"
#define XnvrCminHue		"MinHue"
#define XnvrNnormalHue		"NormalHue"
#define XnvrCnormalHue		"NormalHue"
#define XnvrNsaturation		"saturation"
#define XnvrCsaturation		"Saturation"
#define XnvrNmaxSaturation	"maxSaturation"
#define XnvrCmaxSaturation	"MaxSaturation"
#define XnvrNminSaturation	"minSaturation"
#define XnvrCminSaturation	"MinSaturation"
#define XnvrNnormalSaturation	"normalSaturation"
#define XnvrCnormalSaturation	"NormalSaturation"
#define XnvrNbrightness		"brightness"
#define XnvrCbrightness		"Brightness"
#define XnvrNmaxBrightness	"maxBrightness"
#define XnvrCmaxBrightness	"MaxBrightness"
#define XnvrNminBrightness	"minBrightness"
#define XnvrCminBrightness	"MinBrightness"
#define XnvrNnormalBrightness	"normalBrightness"
#define XnvrCnormalBrightness	"NormalBrightness"
#define XnvrNcontrast		"contrast"
#define XnvrCcontrast		"Contrast"
#define XnvrNmaxContrast	"maxContrast"
#define XnvrCmaxContrast	"MaxContrast"
#define XnvrNminContrast	"minContrast"
#define XnvrCminContrast	"MinContrast"
#define XnvrNnormalContrast	"normalContrast"
#define XnvrCnormalContrast	"NormalContrast"
#define XnvrNresizeMode		"resizeMode"
#define XnvrCresizeMode		"ResizeMode"
#define XnvrNisActive		"isActive"
#define XnvrCisActive		"IsActive"
#define XnvrNdisplayMode	"displayMode"
#define XnvrCdisplayMode	"DisplayMode"
#define XnvrNfullMotion		"fullMotion"
#define XnvrCfullMotion		"FullMotion"
#define XnvrNnumberOfPorts	"numberOfPorts"
#define XnvrCnumberOfPorts	"NumberOfPorts"
#define XnvrNportIndex		"portIndex"
#define XnvrCportIndex		"PortIndex"
#define XnvrNportNames		"portNames"
#define XnvrCportNames		"PortNames"
#define XnvrNengineCount	"engineCount"
#define XnvrCengineCount	"EngineCount"
#define XnvrNengine		"engine"
#define XnvrCengine		"Engine"
#define XnvrNmcsServer		"mcsServer"
#define XnvrCMcsServer		"McsServer"
#define XnvrNconfigCallback	"configCallback"
#define XnvrCConfigCallback	"ConfigCallback"

/* Default resource Values */

#define XnvrDisplayInColor 0
#define XnvrDisplayGrayscale 1
#define XnvrDefaultDisplayMode XnvrDisplayInColor

#define XnvrResizeModeScale 0
#define XnvrResizeModeScale4to3 1
#define XnvrResizeModeClipAndPan 2
#define XnvrDefaultResizeMode XnvrResizeModeScale

#define XnvrDefaultIsActive False
#define XnvrDefaultFullMotion True

extern WidgetClass xnvrVideoDisplayWidgetClass;

typedef struct _XnvrVideoDisplayClassRec    *XnvrVideoDisplayWidgetClass;
typedef struct _XnvrVideoDisplayRec	    *XnvrVideoDisplayWidget;

#endif /* _VideoDisplay_h_ */
