/* $Header: /usr/local/src/nvrToMIT/RCS/Cout.h,v 1.1 1994/05/10 23:29:24 russ Exp $ */

#ifndef __h_Cout__
#define __h_Cout__

/*
 * $Id: Cout.h,v 1.1 1994/05/10 23:29:24 russ Exp $
 *
 * Cout.h
 *
 * Copyright Pencom Software, 1994
 */

#include <Vodoo.h>

/*
 * Used to overide the normal cout and cerr objects.  Allows the user to
 * redirect output to a different file, like /dev/console.
 */
class Cout
{
public:
	Cout( char* where );
	~Cout();
	
private:

	bool_t done;
	ofstream out;
	ostream_withassign old_cout;
	ostream_withassign old_cerr;

};

#endif
