/* $Header: /usr/local/src/nvrToMIT/RCS/Debug.h,v 1.1 1994/05/10 23:29:26 russ Exp $ */

#ifndef __h_Debug__
#define __h_Debug__

/*
 * $Id: Debug.h,v 1.1 1994/05/10 23:29:26 russ Exp $
 *
 * Debug.h
 *
 * Copyright Pencom Software, 1994
 */

extern unsigned long cbrDebugZones;

#define CBR_DEBUG( zone, out ) \
{	if( zone & cbrDebugZones ) \
	{	out; \
	} \
}

#define CBR_DEBUG_ALL		0xffffffff

#define CBR_DEBUG_IFHAND_1	0x00000001
#define CBR_DEBUG_PROD_1	0x00000002
#define CBR_DEBUG_CONS_1	0x00000004
#define CBR_DEBUG_FEED_1	0x00000008
#define CBR_DEBUG_RING_1	0x00000010
#define CBR_DEBUG_ALL_1		0x00000fff

#define CBR_DEBUG_IFHAND_2	0x00001000
#define CBR_DEBUG_PROD_2	0x00002000
#define CBR_DEBUG_CONS_2	0x00004000
#define CBR_DEBUG_FEED_2	0x00008000
#define CBR_DEBUG_RING_2	0x00010000
#define CBR_DEBUG_ALL_2		0x00fff000

#define CBR_DEBUG_IFHAND_3	0x01000000
#define CBR_DEBUG_CONS_3	0x02000000
#define CBR_DEBUG_PROD_3	0x04000000
#define CBR_DEBUG_ALL_3		0xff000000

#endif
