/* $Header: /usr/local/src/nvrToMIT/RCS/Logger.h,v 1.1 1994/05/10 23:29:34 russ Exp $ */

#ifndef __h_Logger__
#define __h_Logger__

/*
 * $Id: Logger.h,v 1.1 1994/05/10 23:29:34 russ Exp $
 *
 * Logger.h
 *
 * Copyright Pencom Software, 1994
 */

#include <Vodoo.h>

/*
 * The Logger class makes printing debug output within programs and functions
 * easier.  It used to not a particular loction withing a file and when 
 * it prints itself, it outputs interesting like the process id and location.
 */
class Logger
{
public:
	enum type_t { verbose, silent };

	Logger( char* name, type_t type = silent );
	~Logger();

	friend ostream& operator<<( ostream& o, Logger& l );

private:
	char* name;
	type_t type;
	pid_t pid;
	static char* prog;

};

#endif
