/* $Header: /usr/local/src/nvrToMIT/RCS/SchedProd.h,v 1.1 1994/05/10 23:29:43 russ Exp $ */

#ifndef __h_SchedProd__
#define __h_SchedProd__

/*
 * $Id: SchedProd.h,v 1.1 1994/05/10 23:29:43 russ Exp $
 *
 * SchedProd.h
 *
 * Copyright Pencom Software, 1994
 */

#include <Scheduler.h>

/*
 * Schedules producers for each feed
 */
class SchedProd : public Scheduler
{
public:
	SchedProd( speed_t max_speed, Feed* feed, count_t nfeed, Logger& log );

	virtual perr_t run();
	virtual int produce( Feed& f, aiocb* cb );
	virtual void schedule( Feed& f );
	virtual void doit( Ring* ring, Feed& f );
	virtual void adjust_speed( Feed& f, Ring* ring );

	friend void SchedProd_entry( void* arg );

private:
	speed_t max_speed;

};

#endif
