/* $Header: /usr/local/src/nvrToMIT/RCS/cbr.h,v 1.1 1994/05/10 23:30:00 russ Exp $ */

#ifndef __h_cbr__
#define __h_cbr__

/*
 * $Id: cbr.h,v 1.1 1994/05/10 23:30:00 russ Exp $
 *
 * cbr.h
 *
 * Copyright Pencom Software, 1994
 */

#ifdef __cplusplus
#include <CBRclient.h>
extern "C" {
CBRclient* cbr_object();
#else
typedef int tdhand_t;
#endif

#include <sys/types.h>

void cbr_init( char* server );
tdhand_t cbr_open( char* filename, size_t netbufsz, long rate );
int cbr_preview( tdhand_t td, void* buffer, size_t* size, off_t offset );
int cbr_catalog( char** buffer, size_t* size );
int cbr_read( tdhand_t td, void* buffer, size_t size );
int cbr_seek( tdhand_t td, long offset );
int cbr_pause( tdhand_t td );
int cbr_close( tdhand_t td );
void cbr_done();

#ifdef __cplusplus
}
#endif

#endif
