/* $Header: /usr/local/src/nvrToMIT/RCS/OnePlay.h,v 1.1 1994/03/17 06:22:20 toddb Exp $ */

#ifndef _ONEMPEG_H_
#define _ONEMPEG_H_

#include "osio.h"

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "VideoDisplay.h"
#include "MpegControl.h"
#include "DeviceControl.H"
#include "GenericDialogs.H"

/* Define useful constants */

#define MAX_FILENAME_LENGTH	256
#define MAX_STRING_LENGTH	100

/* Define application resource default values */
#define DEFAULT_MIN_GAMMA 100
#define DEFAULT_MAX_GAMMA 300
#define DEFAULT_GAMMA 112
#define DEFAULT_VIDEO_STATE VideoReady

#define DEFAULT_VOLUME  15
#define MIN_VOLUME	0
#define MAX_VOLUME	100

#define DEFAULT_IMAGE_PATH "."
#define DEFAULT_SELECTION_PATH "."

#define CURRENT_VERSION		"1.0.4"

typedef struct _resourceInfo {
    char	*imagePath;
    Boolean	showMcsProto;
    int		audioDelay;
    String	version;
    MpegDecodeResources	dMpegRsc;
    String	bitServer;
    String	mcsPreInit;
    String	mcsPostInit;
} ResourceInfo, *ResourceInfoPtr;

extern ResourceInfo Resources;

extern void ReallyQuitCB(Widget w, XtPointer unused, XtPointer alsoUnused);
extern void FatalInformUser(char *msg, XtCallbackProc quit_cb);


#endif /* _ONEMPEG_H_ */

