/*
 *	Copyright (c) 1993  North Valley Research, Inc.
 *	Confidential -- All proprietary rights reserved.
 *	Licensed Material -- Property of North Valley Research, Inc.
 *
 *	This program is the property of North Valley Research, Inc. or others
 *	from whom North Valley Research, Inc. has obtained a licensing right,
 *	and is considered by North Valley Research, Inc. to be confidential.
 *	It is protected by U.S. copyright law as an unpublished work and is
 *	furnished pursuant to a written license agreement.  It may
 *	not be used, copied or otherwise reproduced, or disclosed to
 *	others except in accordance with the terms and conditions of
 *	that agreement.
 *
 *	NAME
 *		NvrLmXt.h
 *
 *	DESCRIPTION
 *		
 *		
 *	DESCRIPTION
 *		$Header: /usr/local/src/nvrToMIT/RCS/NvrLmXt.h,v 1.7 1993/09/09 02:26:39 toddb Exp $
 *
 */
#ifndef _NVRLMXT_H_
#define _NVRLMXT_H_

#include <X11/Intrinsic.h>
#include <NvrLmFeatures.h>
#include "nvrTypes.h"

/*
 *      DEFINES
 */

/*
 *      TYPEDEFS
 */
typedef void (*LmExceptionProc)(
#ifdef NeedFunctionPrototypes
    int		/* condition */,
    char*	/* feature */
#endif
);

CExternal int NvrXtGetLicense(
#ifdef NeedFunctionPrototypes
    XtAppContext	/* app_context */,
    char*		/* feature */,
    int			/* shared */,
    LmExceptionProc	/* exception_proc */
#endif
);

CExternal void NvrLmXtClose(
#if NeedFunctionPrototypes
    void
#endif
);

#endif /* _NVRLMXT_H_ */
