#include <math.h>

#define PI		3.14159265358979323846

typedef float FloatType;

FloatType CosConstant[ 109 ];
void
InitCosineConstants()
{
    CosConstant[0] = 1.0/(2*cos(1.*PI));
    CosConstant[1] = 1.0/(2*cos(0.25*PI));
    CosConstant[2] = 1.0/(2*cos(0.125*PI));
    CosConstant[3] = 1.0/(2*cos(0.0625*PI));
    CosConstant[4] = 1.0/(2*cos(0.03125*PI));
    CosConstant[5] = 1.0/(2*cos(0.75*PI));
    CosConstant[6] = 1.0/(2*cos(0.375*PI));
    CosConstant[7] = 1.0/(2*cos(0.1875*PI));
    CosConstant[8] = 1.0/(2*cos(0.09375*PI));
    CosConstant[9] = 1.0/(2*cos(1.25*PI));
    CosConstant[10] = 1.0/(2*cos(0.625*PI));
    CosConstant[11] = 1.0/(2*cos(0.3125*PI));
    CosConstant[12] = 1.0/(2*cos(0.15625*PI));
    CosConstant[13] = 1.0/(2*cos(1.75*PI));
    CosConstant[14] = 1.0/(2*cos(0.875*PI));
    CosConstant[15] = 1.0/(2*cos(0.4375*PI));
    CosConstant[16] = 1.0/(2*cos(0.21875*PI));
    CosConstant[17] = 1.0/(2*cos(1.125*PI));
    CosConstant[18] = 1.0/(2*cos(0.5625*PI));
    CosConstant[19] = 1.0/(2*cos(0.28125*PI));
    CosConstant[20] = 1.0/(2*cos(1.375*PI));
    CosConstant[21] = 1.0/(2*cos(0.6875*PI));
    CosConstant[22] = 1.0/(2*cos(0.34375*PI));
    CosConstant[23] = 1.0/(2*cos(1.625*PI));
    CosConstant[24] = 1.0/(2*cos(0.8125*PI));
    CosConstant[25] = 1.0/(2*cos(0.40625*PI));
    CosConstant[26] = 1.0/(2*cos(1.875*PI));
    CosConstant[27] = 1.0/(2*cos(0.9375*PI));
    CosConstant[28] = 1.0/(2*cos(0.46875*PI));
    CosConstant[29] = 1.0/(2*cos(1.0625*PI));
    CosConstant[30] = 1.0/(2*cos(0.53125*PI));
    CosConstant[31] = 1.0/(2*cos(1.1875*PI));
    CosConstant[32] = 1.0/(2*cos(0.59375*PI));
    CosConstant[33] = 1.0/(2*cos(1.3125*PI));
    CosConstant[34] = 1.0/(2*cos(0.65625*PI));
    CosConstant[35] = 1.0/(2*cos(1.4375*PI));
    CosConstant[36] = 1.0/(2*cos(0.71875*PI));
    CosConstant[37] = 1.0/(2*cos(1.5625*PI));
    CosConstant[38] = 1.0/(2*cos(0.78125*PI));
    CosConstant[39] = 1.0/(2*cos(1.6875*PI));
    CosConstant[40] = 1.0/(2*cos(0.84375*PI));
    CosConstant[41] = 1.0/(2*cos(1.8125*PI));
    CosConstant[42] = 1.0/(2*cos(0.90625*PI));
    CosConstant[43] = 1.0/(2*cos(1.9375*PI));
    CosConstant[44] = 1.0/(2*cos(0.96875*PI));
    CosConstant[45] = 1.0/(2*cos(1.03125*PI));
    CosConstant[46] = 1.0/(2*cos(0.515625*PI));
    CosConstant[47] = 1.0/(2*cos(1.09375*PI));
    CosConstant[48] = 1.0/(2*cos(0.546875*PI));
    CosConstant[49] = 1.0/(2*cos(1.15625*PI));
    CosConstant[50] = 1.0/(2*cos(0.578125*PI));
    CosConstant[51] = 1.0/(2*cos(1.21875*PI));
    CosConstant[52] = 1.0/(2*cos(0.609375*PI));
    CosConstant[53] = 1.0/(2*cos(1.28125*PI));
    CosConstant[54] = 1.0/(2*cos(0.640625*PI));
    CosConstant[55] = 1.0/(2*cos(1.34375*PI));
    CosConstant[56] = 1.0/(2*cos(0.671875*PI));
    CosConstant[57] = 1.0/(2*cos(1.40625*PI));
    CosConstant[58] = 1.0/(2*cos(0.703125*PI));
    CosConstant[59] = 1.0/(2*cos(1.46875*PI));
    CosConstant[60] = 1.0/(2*cos(0.734375*PI));
    CosConstant[61] = 1.0/(2*cos(1.53125*PI));
    CosConstant[62] = 1.0/(2*cos(0.765625*PI));
    CosConstant[63] = 1.0/(2*cos(1.59375*PI));
    CosConstant[64] = 1.0/(2*cos(0.796875*PI));
    CosConstant[65] = 1.0/(2*cos(1.65625*PI));
    CosConstant[66] = 1.0/(2*cos(0.828125*PI));
    CosConstant[67] = 1.0/(2*cos(1.71875*PI));
    CosConstant[68] = 1.0/(2*cos(0.859375*PI));
    CosConstant[69] = 1.0/(2*cos(1.78125*PI));
    CosConstant[70] = 1.0/(2*cos(0.890625*PI));
    CosConstant[71] = 1.0/(2*cos(1.84375*PI));
    CosConstant[72] = 1.0/(2*cos(0.921875*PI));
    CosConstant[73] = 1.0/(2*cos(1.90625*PI));
    CosConstant[74] = 1.0/(2*cos(0.953125*PI));
    CosConstant[75] = 1.0/(2*cos(1.96875*PI));
    CosConstant[76] = 1.0/(2*cos(0.984375*PI));
    CosConstant[77] = 1.0/(2*cos(1.01563*PI));
    CosConstant[78] = 1.0/(2*cos(1.04688*PI));
    CosConstant[79] = 1.0/(2*cos(1.07813*PI));
    CosConstant[80] = 1.0/(2*cos(1.10938*PI));
    CosConstant[81] = 1.0/(2*cos(1.14063*PI));
    CosConstant[82] = 1.0/(2*cos(1.17188*PI));
    CosConstant[83] = 1.0/(2*cos(1.20313*PI));
    CosConstant[84] = 1.0/(2*cos(1.23438*PI));
    CosConstant[85] = 1.0/(2*cos(1.26563*PI));
    CosConstant[86] = 1.0/(2*cos(1.29688*PI));
    CosConstant[87] = 1.0/(2*cos(1.32813*PI));
    CosConstant[88] = 1.0/(2*cos(1.35938*PI));
    CosConstant[89] = 1.0/(2*cos(1.39063*PI));
    CosConstant[90] = 1.0/(2*cos(1.42188*PI));
    CosConstant[91] = 1.0/(2*cos(1.45313*PI));
    CosConstant[92] = 1.0/(2*cos(1.48438*PI));
    CosConstant[93] = 1.0/(2*cos(1.51563*PI));
    CosConstant[94] = 1.0/(2*cos(1.54688*PI));
    CosConstant[95] = 1.0/(2*cos(1.57813*PI));
    CosConstant[96] = 1.0/(2*cos(1.60938*PI));
    CosConstant[97] = 1.0/(2*cos(1.64063*PI));
    CosConstant[98] = 1.0/(2*cos(1.67188*PI));
    CosConstant[99] = 1.0/(2*cos(1.70313*PI));
    CosConstant[100] = 1.0/(2*cos(1.73438*PI));
    CosConstant[101] = 1.0/(2*cos(1.76563*PI));
    CosConstant[102] = 1.0/(2*cos(1.79688*PI));
    CosConstant[103] = 1.0/(2*cos(1.82812*PI));
    CosConstant[104] = 1.0/(2*cos(1.85937*PI));
    CosConstant[105] = 1.0/(2*cos(1.89062*PI));
    CosConstant[106] = 1.0/(2*cos(1.92187*PI));
    CosConstant[107] = 1.0/(2*cos(1.95312*PI));
    CosConstant[108] = 1.0/(2*cos(1.98437*PI));
}

Transform(FloatType X[48], FloatType x[80])
{
    FloatType H1[24], H2g1[12], H2h1[12], H3g2g1[6], H3g2h1[6], H3h2g1[6];
    FloatType H3h2h1[6], g1[64], g2g1[32], g2h1[32], g3g2g1[16], g3g2h1[16];
    FloatType g3h2g1[16], g3h2h1[16], g4g3g2g1[8], g4g3g2h1[8], g4g3h2g1[8];
    FloatType g4g3h2h1[8], g4h3g2g1[8], g4h3g2h1[8], g4h3h2g1[8], g4h3h2h1[8];
    FloatType g6h5g4g3g2h1[2], g6h5g4g3h2g1[2], g6h5g4g3h2h1[2];
    FloatType g6h5g4h3g2g1[2], g6h5g4h3g2h1[2], g6h5g4h3h2g1[2];
    FloatType g6h5g4h3h2h1[2], g6h5h4g3g2g1[2], g6h5h4g3g2h1[2];
    FloatType g6h5h4g3h2g1[2], g6h5h4g3h2h1[2], g6h5h4h3g2g1[2];
    FloatType g6h5h4h3g2h1[2], g6h5h4h3h2g1[2], g6h5h4h3h2h1[2], h1[64];
    FloatType h2g1[32], h2h1[32], h3g2g1[16], h3g2h1[16], h3h2g1[16];
    FloatType h3h2h1[16], h4g3g2g1[8], h4g3g2h1[8], h4g3h2g1[8], h4g3h2h1[8];
    FloatType h4h3g2g1[8], h4h3g2h1[8], h4h3h2g1[8], h4h3h2h1[8];
    FloatType h1t16, h1t17, h1t18, h1t19, h1t20, h1t21, h1t22, h1t23, h1t24;
    FloatType h1t25, h1t26, h1t27, h1t28, h1t29, h1t30, h1t31, h1t32, h1t33;
    FloatType h1t34, h1t35, h1t36, h1t37, h1t38, h1t39, h1t40, h1t41, h1t42;
    FloatType h1t43, h1t44, h1t45, h1t46, h1t47, h1t48, h1t49, h1t50, h1t51;
    FloatType h1t52, h1t53, h1t54, h1t55, h1t56, h1t57, h1t58, h1t59, h1t60;
    FloatType h1t61, h1t62, h1t63, h2g1t0, h2g1t1, h2g1t10, h2g1t11, h2g1t12;
    FloatType h2g1t13, h2g1t14, h2g1t15, h2g1t16, h2g1t17, h2g1t18, h2g1t19;
    FloatType h2g1t2, h2g1t20, h2g1t21, h2g1t22, h2g1t23, h2g1t24, h2g1t25;
    FloatType h2g1t26, h2g1t27, h2g1t28, h2g1t29, h2g1t3, h2g1t30, h2g1t31;
    FloatType h2g1t4, h2g1t5, h2g1t6, h2g1t7, h2g1t8, h2g1t9, h2h1t0, h2h1t1;
    FloatType h2h1t10, h2h1t11, h2h1t12, h2h1t13, h2h1t14, h2h1t15, h2h1t16;
    FloatType h2h1t17, h2h1t18, h2h1t19, h2h1t2, h2h1t20, h2h1t21, h2h1t22;
    FloatType h2h1t23, h2h1t24, h2h1t25, h2h1t26, h2h1t27, h2h1t28, h2h1t29;
    FloatType h2h1t3, h2h1t30, h2h1t31, h2h1t4, h2h1t5, h2h1t6, h2h1t7, h2h1t8;
    FloatType h2h1t9, h3g2g1t0, h3g2g1t1, h3g2g1t10, h3g2g1t11, h3g2g1t12;
    FloatType h3g2g1t13, h3g2g1t14, h3g2g1t15, h3g2g1t2, h3g2g1t3, h3g2g1t4;
    FloatType h3g2g1t5, h3g2g1t6, h3g2g1t7, h3g2g1t8, h3g2g1t9, h3g2h1t0;
    FloatType h3g2h1t1, h3g2h1t10, h3g2h1t11, h3g2h1t12, h3g2h1t13, h3g2h1t14;
    FloatType h3g2h1t15, h3g2h1t2, h3g2h1t3, h3g2h1t4, h3g2h1t5, h3g2h1t6;
    FloatType h3g2h1t7, h3g2h1t8, h3g2h1t9, h3h2g1t0, h3h2g1t1, h3h2g1t10;
    FloatType h3h2g1t11, h3h2g1t12, h3h2g1t13, h3h2g1t14, h3h2g1t15, h3h2g1t2;
    FloatType h3h2g1t3, h3h2g1t4, h3h2g1t5, h3h2g1t6, h3h2g1t7, h3h2g1t8;
    FloatType h3h2g1t9, h3h2h1t0, h3h2h1t1, h3h2h1t10, h3h2h1t11, h3h2h1t12;
    FloatType h3h2h1t13, h3h2h1t14, h3h2h1t15, h3h2h1t2, h3h2h1t3, h3h2h1t4;
    FloatType h3h2h1t5, h3h2h1t6, h3h2h1t7, h3h2h1t8, h3h2h1t9, h4g3g2g1t0;
    FloatType h4g3g2g1t1, h4g3g2g1t2, h4g3g2g1t3, h4g3g2g1t4, h4g3g2g1t5;
    FloatType h4g3g2g1t6, h4g3g2g1t7, h4g3g2h1t0, h4g3g2h1t1, h4g3g2h1t2;
    FloatType h4g3g2h1t3, h4g3g2h1t4, h4g3g2h1t5, h4g3g2h1t6, h4g3g2h1t7;
    FloatType h4g3h2g1t0, h4g3h2g1t1, h4g3h2g1t2, h4g3h2g1t3, h4g3h2g1t4;
    FloatType h4g3h2g1t5, h4g3h2g1t6, h4g3h2g1t7, h4g3h2h1t0, h4g3h2h1t1;
    FloatType h4g3h2h1t2, h4g3h2h1t3, h4g3h2h1t4, h4g3h2h1t5, h4g3h2h1t6;
    FloatType h4g3h2h1t7, h4h3g2g1t0, h4h3g2g1t1, h4h3g2g1t2, h4h3g2g1t3;
    FloatType h4h3g2g1t4, h4h3g2g1t5, h4h3g2g1t6, h4h3g2g1t7, h4h3g2h1t0;
    FloatType h4h3g2h1t1, h4h3g2h1t2, h4h3g2h1t3, h4h3g2h1t4, h4h3g2h1t5;
    FloatType h4h3g2h1t6, h4h3g2h1t7, h4h3h2g1t0, h4h3h2g1t1, h4h3h2g1t2;
    FloatType h4h3h2g1t3, h4h3h2g1t4, h4h3h2g1t5, h4h3h2g1t6, h4h3h2g1t7;
    FloatType h4h3h2h1t0, h4h3h2h1t1, h4h3h2h1t2, h4h3h2h1t3, h4h3h2h1t4;
    FloatType h4h3h2h1t5, h4h3h2h1t6, h4h3h2h1t7, h5g4g3g2g1t0, h5g4g3g2g1t1;
    FloatType h5g4g3g2g1t2, h5g4g3g2g1t3, h5g4g3g2h1t0, h5g4g3g2h1t1;
    FloatType h5g4g3g2h1t2, h5g4g3g2h1t3, h5g4g3h2g1t0, h5g4g3h2g1t1;
    FloatType h5g4g3h2g1t2, h5g4g3h2g1t3, h5g4g3h2h1t0, h5g4g3h2h1t1;
    FloatType h5g4g3h2h1t2, h5g4g3h2h1t3, h5g4h3g2g1t0, h5g4h3g2g1t1;
    FloatType h5g4h3g2g1t2, h5g4h3g2g1t3, h5g4h3g2h1t0, h5g4h3g2h1t1;
    FloatType h5g4h3g2h1t2, h5g4h3g2h1t3, h5g4h3h2g1t0, h5g4h3h2g1t1;
    FloatType h5g4h3h2g1t2, h5g4h3h2g1t3, h5g4h3h2h1t0, h5g4h3h2h1t1;
    FloatType h5g4h3h2h1t2, h5g4h3h2h1t3, h5h4g3g2g1t0, h5h4g3g2g1t1;
    FloatType h5h4g3g2g1t2, h5h4g3g2g1t3, h5h4g3g2h1t0, h5h4g3g2h1t1;
    FloatType h5h4g3g2h1t2, h5h4g3g2h1t3, h5h4g3h2g1t0, h5h4g3h2g1t1;
    FloatType h5h4g3h2g1t2, h5h4g3h2g1t3, h5h4g3h2h1t0, h5h4g3h2h1t1;
    FloatType h5h4g3h2h1t2, h5h4g3h2h1t3, h5h4h3g2g1t0, h5h4h3g2g1t1;
    FloatType h5h4h3g2g1t2, h5h4h3g2g1t3, h5h4h3g2h1t0, h5h4h3g2h1t1;
    FloatType h5h4h3g2h1t2, h5h4h3g2h1t3, h5h4h3h2g1t0, h5h4h3h2g1t1;
    FloatType h5h4h3h2g1t2, h5h4h3h2g1t3, h5h4h3h2h1t0, h5h4h3h2h1t1;
    FloatType h5h4h3h2h1t2, h5h4h3h2h1t3, h7g6h5g4g3g2h1t0, h7g6h5g4g3h2g1t0;
    FloatType h7g6h5g4g3h2h1t0, h7g6h5g4h3g2g1t0, h7g6h5g4h3g2h1t0;
    FloatType h7g6h5g4h3h2g1t0, h7g6h5g4h3h2h1t0, h7g6h5h4g3g2g1t0;
    FloatType h7g6h5h4g3g2h1t0, h7g6h5h4g3h2g1t0, h7g6h5h4g3h2h1t0;
    FloatType h7g6h5h4h3g2g1t0, h7g6h5h4h3g2h1t0, h7g6h5h4h3h2g1t0;
    FloatType h7g6h5h4h3h2h1t0;

    H1[9] = X[17] + X[19]; 
    H1[10] = X[19] + X[21]; 
    H1[11] = X[21] + X[23]; 
    H1[12] = X[23] + X[25]; 
    H1[13] = X[25] + X[27]; 
    H1[14] = X[27] + X[29]; 
    H1[15] = X[29] + X[31]; 
    H1[17] = X[33] + X[35]; 
    H1[18] = X[35] + X[37]; 
    H1[19] = X[37] + X[39]; 
    H1[20] = X[39] + X[41]; 
    H1[21] = X[41] + X[43]; 
    H1[22] = X[43] + X[45]; 
    H1[23] = X[45] + X[47]; 
    H2g1[5] = X[18] + X[22]; 
    H2g1[6] = X[22] + X[26]; 
    H2g1[7] = X[26] + X[30]; 
    H2g1[9] = X[34] + X[38]; 
    H2g1[10] = X[38] + X[42]; 
    H2g1[11] = X[42] + X[46]; 
    H3g2g1[3] = X[20] + X[28]; 
    H3g2g1[5] = X[36] + X[44]; 
    h5g4g3g2g1t0 = CosConstant[1] * X[16]; 
    g4g3g2g1[7] = -h5g4g3g2g1t0; 
    h5g4g3g2g1t1 = CosConstant[5] * X[16]; 
    g4g3g2g1[6] = -h5g4g3g2g1t1; 
    h5g4g3g2g1t2 = CosConstant[9] * X[16]; 
    g4g3g2g1[5] = -h5g4g3g2g1t2; 
    h5g4g3g2g1t3 = CosConstant[13] * X[16]; 
    g4g3g2g1[4] = -h5g4g3g2g1t3; 
    h7g6h5h4g3g2g1t0 = CosConstant[0] * X[40]; 
    g6h5h4g3g2g1[0] = h7g6h5h4g3g2g1t0 + X[24]; 
    g6h5h4g3g2g1[1] = -h7g6h5h4g3g2g1t0 + X[24]; 
    h5h4g3g2g1t0 = CosConstant[1] * g6h5h4g3g2g1[0]; 
    h4g3g2g1[7] = -h5h4g3g2g1t0; 
    h5h4g3g2g1t1 = CosConstant[5] * g6h5h4g3g2g1[1]; 
    h4g3g2g1[6] = -h5h4g3g2g1t1; 
    h5h4g3g2g1t2 = CosConstant[9] * g6h5h4g3g2g1[1]; 
    h4g3g2g1[5] = -h5h4g3g2g1t2; 
    h5h4g3g2g1t3 = CosConstant[13] * g6h5h4g3g2g1[0]; 
    h4g3g2g1[4] = -h5h4g3g2g1t3; 
    h4g3g2g1t0 = h5h4g3g2g1t0 * CosConstant[2]; 
    g3g2g1[0] = h4g3g2g1t0 + h5g4g3g2g1t0; 
    g3g2g1[15] = -h4g3g2g1t0 + h5g4g3g2g1t0; 
    h4g3g2g1t1 = h5h4g3g2g1t1 * CosConstant[6]; 
    g3g2g1[1] = h4g3g2g1t1 + h5g4g3g2g1t1; 
    g3g2g1[14] = -h4g3g2g1t1 + h5g4g3g2g1t1; 
    h4g3g2g1t2 = h5h4g3g2g1t2 * CosConstant[10]; 
    g3g2g1[2] = h4g3g2g1t2 + h5g4g3g2g1t2; 
    g3g2g1[13] = -h4g3g2g1t2 + h5g4g3g2g1t2; 
    h4g3g2g1t3 = h5h4g3g2g1t3 * CosConstant[14]; 
    g3g2g1[3] = h4g3g2g1t3 + h5g4g3g2g1t3; 
    g3g2g1[12] = -h4g3g2g1t3 + h5g4g3g2g1t3; 
    h4g3g2g1t4 = CosConstant[17] * h4g3g2g1[4]; 
    g3g2g1[4] = h4g3g2g1t4 + g4g3g2g1[4]; 
    g3g2g1[11] = -h4g3g2g1t4 + g4g3g2g1[4]; 
    h4g3g2g1t5 = CosConstant[20] * h4g3g2g1[5]; 
    g3g2g1[5] = h4g3g2g1t5 + g4g3g2g1[5]; 
    g3g2g1[10] = -h4g3g2g1t5 + g4g3g2g1[5]; 
    h4g3g2g1t6 = CosConstant[23] * h4g3g2g1[6]; 
    g3g2g1[6] = h4g3g2g1t6 + g4g3g2g1[6]; 
    g3g2g1[9] = -h4g3g2g1t6 + g4g3g2g1[6]; 
    h4g3g2g1t7 = CosConstant[26] * h4g3g2g1[7]; 
    g3g2g1[7] = h4g3g2g1t7 + g4g3g2g1[7]; 
    g3g2g1[8] = -h4g3g2g1t7 + g4g3g2g1[7]; 
    h7g6h5g4h3g2g1t0 = CosConstant[0] * X[44]; 
    g6h5g4h3g2g1[0] = h7g6h5g4h3g2g1t0 + X[20]; 
    g6h5g4h3g2g1[1] = -h7g6h5g4h3g2g1t0 + X[20]; 
    h5g4h3g2g1t0 = CosConstant[1] * g6h5g4h3g2g1[0]; 
    g4h3g2g1[7] = -h5g4h3g2g1t0; 
    h5g4h3g2g1t1 = CosConstant[5] * g6h5g4h3g2g1[1]; 
    g4h3g2g1[6] = -h5g4h3g2g1t1; 
    h5g4h3g2g1t2 = CosConstant[9] * g6h5g4h3g2g1[1]; 
    g4h3g2g1[5] = -h5g4h3g2g1t2; 
    h5g4h3g2g1t3 = CosConstant[13] * g6h5g4h3g2g1[0]; 
    g4h3g2g1[4] = -h5g4h3g2g1t3; 
    h7g6h5h4h3g2g1t0 = CosConstant[0] * H3g2g1[5]; 
    g6h5h4h3g2g1[0] = h7g6h5h4h3g2g1t0 + H3g2g1[3]; 
    g6h5h4h3g2g1[1] = -h7g6h5h4h3g2g1t0 + H3g2g1[3]; 
    h5h4h3g2g1t0 = CosConstant[1] * g6h5h4h3g2g1[0]; 
    h4h3g2g1[7] = -h5h4h3g2g1t0; 
    h5h4h3g2g1t1 = CosConstant[5] * g6h5h4h3g2g1[1]; 
    h4h3g2g1[6] = -h5h4h3g2g1t1; 
    h5h4h3g2g1t2 = CosConstant[9] * g6h5h4h3g2g1[1]; 
    h4h3g2g1[5] = -h5h4h3g2g1t2; 
    h5h4h3g2g1t3 = CosConstant[13] * g6h5h4h3g2g1[0]; 
    h4h3g2g1[4] = -h5h4h3g2g1t3; 
    h4h3g2g1t0 = h5h4h3g2g1t0 * CosConstant[2]; 
    h3g2g1[0] = h4h3g2g1t0 + h5g4h3g2g1t0; 
    h3g2g1[15] = -h4h3g2g1t0 + h5g4h3g2g1t0; 
    h4h3g2g1t1 = h5h4h3g2g1t1 * CosConstant[6]; 
    h3g2g1[1] = h4h3g2g1t1 + h5g4h3g2g1t1; 
    h3g2g1[14] = -h4h3g2g1t1 + h5g4h3g2g1t1; 
    h4h3g2g1t2 = h5h4h3g2g1t2 * CosConstant[10]; 
    h3g2g1[2] = h4h3g2g1t2 + h5g4h3g2g1t2; 
    h3g2g1[13] = -h4h3g2g1t2 + h5g4h3g2g1t2; 
    h4h3g2g1t3 = h5h4h3g2g1t3 * CosConstant[14]; 
    h3g2g1[3] = h4h3g2g1t3 + h5g4h3g2g1t3; 
    h3g2g1[12] = -h4h3g2g1t3 + h5g4h3g2g1t3; 
    h4h3g2g1t4 = CosConstant[17] * h4h3g2g1[4]; 
    h3g2g1[4] = h4h3g2g1t4 + g4h3g2g1[4]; 
    h3g2g1[11] = -h4h3g2g1t4 + g4h3g2g1[4]; 
    h4h3g2g1t5 = CosConstant[20] * h4h3g2g1[5]; 
    h3g2g1[5] = h4h3g2g1t5 + g4h3g2g1[5]; 
    h3g2g1[10] = -h4h3g2g1t5 + g4h3g2g1[5]; 
    h4h3g2g1t6 = CosConstant[23] * h4h3g2g1[6]; 
    h3g2g1[6] = h4h3g2g1t6 + g4h3g2g1[6]; 
    h3g2g1[9] = -h4h3g2g1t6 + g4h3g2g1[6]; 
    h4h3g2g1t7 = CosConstant[26] * h4h3g2g1[7]; 
    h3g2g1[7] = h4h3g2g1t7 + g4h3g2g1[7]; 
    h3g2g1[8] = -h4h3g2g1t7 + g4h3g2g1[7]; 
    h3g2g1t0 = CosConstant[3] * h3g2g1[0]; 
    g2g1[0] = h3g2g1t0 + g3g2g1[0]; 
    g2g1[31] = -h3g2g1t0 + g3g2g1[0]; 
    h3g2g1t1 = CosConstant[7] * h3g2g1[1]; 
    g2g1[1] = h3g2g1t1 + g3g2g1[1]; 
    g2g1[30] = -h3g2g1t1 + g3g2g1[1]; 
    h3g2g1t2 = CosConstant[11] * h3g2g1[2]; 
    g2g1[2] = h3g2g1t2 + g3g2g1[2]; 
    g2g1[29] = -h3g2g1t2 + g3g2g1[2]; 
    h3g2g1t3 = CosConstant[15] * h3g2g1[3]; 
    g2g1[3] = h3g2g1t3 + g3g2g1[3]; 
    g2g1[28] = -h3g2g1t3 + g3g2g1[3]; 
    h3g2g1t4 = CosConstant[18] * h3g2g1[4]; 
    g2g1[4] = h3g2g1t4 + g3g2g1[4]; 
    g2g1[27] = -h3g2g1t4 + g3g2g1[4]; 
    h3g2g1t5 = CosConstant[21] * h3g2g1[5]; 
    g2g1[5] = h3g2g1t5 + g3g2g1[5]; 
    g2g1[26] = -h3g2g1t5 + g3g2g1[5]; 
    h3g2g1t6 = CosConstant[24] * h3g2g1[6]; 
    g2g1[6] = h3g2g1t6 + g3g2g1[6]; 
    g2g1[25] = -h3g2g1t6 + g3g2g1[6]; 
    h3g2g1t7 = CosConstant[27] * h3g2g1[7]; 
    g2g1[7] = h3g2g1t7 + g3g2g1[7]; 
    g2g1[24] = -h3g2g1t7 + g3g2g1[7]; 
    h3g2g1t8 = CosConstant[29] * h3g2g1[8]; 
    g2g1[8] = h3g2g1t8 + g3g2g1[8]; 
    g2g1[23] = -h3g2g1t8 + g3g2g1[8]; 
    h3g2g1t9 = CosConstant[31] * h3g2g1[9]; 
    g2g1[9] = h3g2g1t9 + g3g2g1[9]; 
    g2g1[22] = -h3g2g1t9 + g3g2g1[9]; 
    h3g2g1t10 = CosConstant[33] * h3g2g1[10]; 
    g2g1[10] = h3g2g1t10 + g3g2g1[10]; 
    g2g1[21] = -h3g2g1t10 + g3g2g1[10]; 
    h3g2g1t11 = CosConstant[35] * h3g2g1[11]; 
    g2g1[11] = h3g2g1t11 + g3g2g1[11]; 
    g2g1[20] = -h3g2g1t11 + g3g2g1[11]; 
    h3g2g1t12 = CosConstant[37] * h3g2g1[12]; 
    g2g1[12] = h3g2g1t12 + g3g2g1[12]; 
    g2g1[19] = -h3g2g1t12 + g3g2g1[12]; 
    h3g2g1t13 = CosConstant[39] * h3g2g1[13]; 
    g2g1[13] = h3g2g1t13 + g3g2g1[13]; 
    g2g1[18] = -h3g2g1t13 + g3g2g1[13]; 
    h3g2g1t14 = CosConstant[41] * h3g2g1[14]; 
    g2g1[14] = h3g2g1t14 + g3g2g1[14]; 
    g2g1[17] = -h3g2g1t14 + g3g2g1[14]; 
    h3g2g1t15 = CosConstant[43] * h3g2g1[15]; 
    g2g1[15] = h3g2g1t15 + g3g2g1[15]; 
    g2g1[16] = -h3g2g1t15 + g3g2g1[15]; 
    H3h2g1[3] = H2g1[5] + H2g1[7]; 
    H3h2g1[5] = H2g1[9] + H2g1[11]; 
    h7g6h5g4g3h2g1t0 = CosConstant[0] * X[46]; 
    g6h5g4g3h2g1[0] = h7g6h5g4g3h2g1t0 + X[18]; 
    g6h5g4g3h2g1[1] = -h7g6h5g4g3h2g1t0 + X[18]; 
    h5g4g3h2g1t0 = CosConstant[1] * g6h5g4g3h2g1[0]; 
    g4g3h2g1[7] = -h5g4g3h2g1t0; 
    h5g4g3h2g1t1 = CosConstant[5] * g6h5g4g3h2g1[1]; 
    g4g3h2g1[6] = -h5g4g3h2g1t1; 
    h5g4g3h2g1t2 = CosConstant[9] * g6h5g4g3h2g1[1]; 
    g4g3h2g1[5] = -h5g4g3h2g1t2; 
    h5g4g3h2g1t3 = CosConstant[13] * g6h5g4g3h2g1[0]; 
    g4g3h2g1[4] = -h5g4g3h2g1t3; 
    h7g6h5h4g3h2g1t0 = CosConstant[0] * H2g1[10]; 
    g6h5h4g3h2g1[0] = h7g6h5h4g3h2g1t0 + H2g1[6]; 
    g6h5h4g3h2g1[1] = -h7g6h5h4g3h2g1t0 + H2g1[6]; 
    h5h4g3h2g1t0 = CosConstant[1] * g6h5h4g3h2g1[0]; 
    h4g3h2g1[7] = -h5h4g3h2g1t0; 
    h5h4g3h2g1t1 = CosConstant[5] * g6h5h4g3h2g1[1]; 
    h4g3h2g1[6] = -h5h4g3h2g1t1; 
    h5h4g3h2g1t2 = CosConstant[9] * g6h5h4g3h2g1[1]; 
    h4g3h2g1[5] = -h5h4g3h2g1t2; 
    h5h4g3h2g1t3 = CosConstant[13] * g6h5h4g3h2g1[0]; 
    h4g3h2g1[4] = -h5h4g3h2g1t3; 
    h4g3h2g1t0 = h5h4g3h2g1t0 * CosConstant[2]; 
    g3h2g1[0] = h4g3h2g1t0 + h5g4g3h2g1t0; 
    g3h2g1[15] = -h4g3h2g1t0 + h5g4g3h2g1t0; 
    h4g3h2g1t1 = h5h4g3h2g1t1 * CosConstant[6]; 
    g3h2g1[1] = h4g3h2g1t1 + h5g4g3h2g1t1; 
    g3h2g1[14] = -h4g3h2g1t1 + h5g4g3h2g1t1; 
    h4g3h2g1t2 = h5h4g3h2g1t2 * CosConstant[10]; 
    g3h2g1[2] = h4g3h2g1t2 + h5g4g3h2g1t2; 
    g3h2g1[13] = -h4g3h2g1t2 + h5g4g3h2g1t2; 
    h4g3h2g1t3 = h5h4g3h2g1t3 * CosConstant[14]; 
    g3h2g1[3] = h4g3h2g1t3 + h5g4g3h2g1t3; 
    g3h2g1[12] = -h4g3h2g1t3 + h5g4g3h2g1t3; 
    h4g3h2g1t4 = CosConstant[17] * h4g3h2g1[4]; 
    g3h2g1[4] = h4g3h2g1t4 + g4g3h2g1[4]; 
    g3h2g1[11] = -h4g3h2g1t4 + g4g3h2g1[4]; 
    h4g3h2g1t5 = CosConstant[20] * h4g3h2g1[5]; 
    g3h2g1[5] = h4g3h2g1t5 + g4g3h2g1[5]; 
    g3h2g1[10] = -h4g3h2g1t5 + g4g3h2g1[5]; 
    h4g3h2g1t6 = CosConstant[23] * h4g3h2g1[6]; 
    g3h2g1[6] = h4g3h2g1t6 + g4g3h2g1[6]; 
    g3h2g1[9] = -h4g3h2g1t6 + g4g3h2g1[6]; 
    h4g3h2g1t7 = CosConstant[26] * h4g3h2g1[7]; 
    g3h2g1[7] = h4g3h2g1t7 + g4g3h2g1[7]; 
    g3h2g1[8] = -h4g3h2g1t7 + g4g3h2g1[7]; 
    h7g6h5g4h3h2g1t0 = CosConstant[0] * H2g1[11]; 
    g6h5g4h3h2g1[0] = h7g6h5g4h3h2g1t0 + H2g1[5]; 
    g6h5g4h3h2g1[1] = -h7g6h5g4h3h2g1t0 + H2g1[5]; 
    h5g4h3h2g1t0 = CosConstant[1] * g6h5g4h3h2g1[0]; 
    g4h3h2g1[7] = -h5g4h3h2g1t0; 
    h5g4h3h2g1t1 = CosConstant[5] * g6h5g4h3h2g1[1]; 
    g4h3h2g1[6] = -h5g4h3h2g1t1; 
    h5g4h3h2g1t2 = CosConstant[9] * g6h5g4h3h2g1[1]; 
    g4h3h2g1[5] = -h5g4h3h2g1t2; 
    h5g4h3h2g1t3 = CosConstant[13] * g6h5g4h3h2g1[0]; 
    g4h3h2g1[4] = -h5g4h3h2g1t3; 
    h7g6h5h4h3h2g1t0 = CosConstant[0] * H3h2g1[5]; 
    g6h5h4h3h2g1[0] = h7g6h5h4h3h2g1t0 + H3h2g1[3]; 
    g6h5h4h3h2g1[1] = -h7g6h5h4h3h2g1t0 + H3h2g1[3]; 
    h5h4h3h2g1t0 = CosConstant[1] * g6h5h4h3h2g1[0]; 
    h4h3h2g1[7] = -h5h4h3h2g1t0; 
    h5h4h3h2g1t1 = CosConstant[5] * g6h5h4h3h2g1[1]; 
    h4h3h2g1[6] = -h5h4h3h2g1t1; 
    h5h4h3h2g1t2 = CosConstant[9] * g6h5h4h3h2g1[1]; 
    h4h3h2g1[5] = -h5h4h3h2g1t2; 
    h5h4h3h2g1t3 = CosConstant[13] * g6h5h4h3h2g1[0]; 
    h4h3h2g1[4] = -h5h4h3h2g1t3; 
    h4h3h2g1t0 = h5h4h3h2g1t0 * CosConstant[2]; 
    h3h2g1[0] = h4h3h2g1t0 + h5g4h3h2g1t0; 
    h3h2g1[15] = -h4h3h2g1t0 + h5g4h3h2g1t0; 
    h4h3h2g1t1 = h5h4h3h2g1t1 * CosConstant[6]; 
    h3h2g1[1] = h4h3h2g1t1 + h5g4h3h2g1t1; 
    h3h2g1[14] = -h4h3h2g1t1 + h5g4h3h2g1t1; 
    h4h3h2g1t2 = h5h4h3h2g1t2 * CosConstant[10]; 
    h3h2g1[2] = h4h3h2g1t2 + h5g4h3h2g1t2; 
    h3h2g1[13] = -h4h3h2g1t2 + h5g4h3h2g1t2; 
    h4h3h2g1t3 = h5h4h3h2g1t3 * CosConstant[14]; 
    h3h2g1[3] = h4h3h2g1t3 + h5g4h3h2g1t3; 
    h3h2g1[12] = -h4h3h2g1t3 + h5g4h3h2g1t3; 
    h4h3h2g1t4 = CosConstant[17] * h4h3h2g1[4]; 
    h3h2g1[4] = h4h3h2g1t4 + g4h3h2g1[4]; 
    h3h2g1[11] = -h4h3h2g1t4 + g4h3h2g1[4]; 
    h4h3h2g1t5 = CosConstant[20] * h4h3h2g1[5]; 
    h3h2g1[5] = h4h3h2g1t5 + g4h3h2g1[5]; 
    h3h2g1[10] = -h4h3h2g1t5 + g4h3h2g1[5]; 
    h4h3h2g1t6 = CosConstant[23] * h4h3h2g1[6]; 
    h3h2g1[6] = h4h3h2g1t6 + g4h3h2g1[6]; 
    h3h2g1[9] = -h4h3h2g1t6 + g4h3h2g1[6]; 
    h4h3h2g1t7 = CosConstant[26] * h4h3h2g1[7]; 
    h3h2g1[7] = h4h3h2g1t7 + g4h3h2g1[7]; 
    h3h2g1[8] = -h4h3h2g1t7 + g4h3h2g1[7]; 
    h3h2g1t0 = CosConstant[3] * h3h2g1[0]; 
    h2g1[0] = h3h2g1t0 + g3h2g1[0]; 
    h2g1[31] = -h3h2g1t0 + g3h2g1[0]; 
    h3h2g1t1 = CosConstant[7] * h3h2g1[1]; 
    h2g1[1] = h3h2g1t1 + g3h2g1[1]; 
    h2g1[30] = -h3h2g1t1 + g3h2g1[1]; 
    h3h2g1t2 = CosConstant[11] * h3h2g1[2]; 
    h2g1[2] = h3h2g1t2 + g3h2g1[2]; 
    h2g1[29] = -h3h2g1t2 + g3h2g1[2]; 
    h3h2g1t3 = CosConstant[15] * h3h2g1[3]; 
    h2g1[3] = h3h2g1t3 + g3h2g1[3]; 
    h2g1[28] = -h3h2g1t3 + g3h2g1[3]; 
    h3h2g1t4 = CosConstant[18] * h3h2g1[4]; 
    h2g1[4] = h3h2g1t4 + g3h2g1[4]; 
    h2g1[27] = -h3h2g1t4 + g3h2g1[4]; 
    h3h2g1t5 = CosConstant[21] * h3h2g1[5]; 
    h2g1[5] = h3h2g1t5 + g3h2g1[5]; 
    h2g1[26] = -h3h2g1t5 + g3h2g1[5]; 
    h3h2g1t6 = CosConstant[24] * h3h2g1[6]; 
    h2g1[6] = h3h2g1t6 + g3h2g1[6]; 
    h2g1[25] = -h3h2g1t6 + g3h2g1[6]; 
    h3h2g1t7 = CosConstant[27] * h3h2g1[7]; 
    h2g1[7] = h3h2g1t7 + g3h2g1[7]; 
    h2g1[24] = -h3h2g1t7 + g3h2g1[7]; 
    h3h2g1t8 = CosConstant[29] * h3h2g1[8]; 
    h2g1[8] = h3h2g1t8 + g3h2g1[8]; 
    h2g1[23] = -h3h2g1t8 + g3h2g1[8]; 
    h3h2g1t9 = CosConstant[31] * h3h2g1[9]; 
    h2g1[9] = h3h2g1t9 + g3h2g1[9]; 
    h2g1[22] = -h3h2g1t9 + g3h2g1[9]; 
    h3h2g1t10 = CosConstant[33] * h3h2g1[10]; 
    h2g1[10] = h3h2g1t10 + g3h2g1[10]; 
    h2g1[21] = -h3h2g1t10 + g3h2g1[10]; 
    h3h2g1t11 = CosConstant[35] * h3h2g1[11]; 
    h2g1[11] = h3h2g1t11 + g3h2g1[11]; 
    h2g1[20] = -h3h2g1t11 + g3h2g1[11]; 
    h3h2g1t12 = CosConstant[37] * h3h2g1[12]; 
    h2g1[12] = h3h2g1t12 + g3h2g1[12]; 
    h2g1[19] = -h3h2g1t12 + g3h2g1[12]; 
    h3h2g1t13 = CosConstant[39] * h3h2g1[13]; 
    h2g1[13] = h3h2g1t13 + g3h2g1[13]; 
    h2g1[18] = -h3h2g1t13 + g3h2g1[13]; 
    h3h2g1t14 = CosConstant[41] * h3h2g1[14]; 
    h2g1[14] = h3h2g1t14 + g3h2g1[14]; 
    h2g1[17] = -h3h2g1t14 + g3h2g1[14]; 
    h3h2g1t15 = CosConstant[43] * h3h2g1[15]; 
    h2g1[15] = h3h2g1t15 + g3h2g1[15]; 
    h2g1[16] = -h3h2g1t15 + g3h2g1[15]; 
    h2g1t0 = CosConstant[4] * h2g1[0]; 
    g1[63] = -h2g1t0 + g2g1[0]; 
    h2g1t1 = CosConstant[8] * h2g1[1]; 
    g1[62] = -h2g1t1 + g2g1[1]; 
    h2g1t2 = CosConstant[12] * h2g1[2]; 
    g1[61] = -h2g1t2 + g2g1[2]; 
    h2g1t3 = CosConstant[16] * h2g1[3]; 
    g1[60] = -h2g1t3 + g2g1[3]; 
    h2g1t4 = CosConstant[19] * h2g1[4]; 
    g1[59] = -h2g1t4 + g2g1[4]; 
    h2g1t5 = CosConstant[22] * h2g1[5]; 
    g1[58] = -h2g1t5 + g2g1[5]; 
    h2g1t6 = CosConstant[25] * h2g1[6]; 
    g1[57] = -h2g1t6 + g2g1[6]; 
    h2g1t7 = CosConstant[28] * h2g1[7]; 
    g1[56] = -h2g1t7 + g2g1[7]; 
    h2g1t8 = CosConstant[30] * h2g1[8]; 
    g1[55] = -h2g1t8 + g2g1[8]; 
    h2g1t9 = CosConstant[32] * h2g1[9]; 
    g1[54] = -h2g1t9 + g2g1[9]; 
    h2g1t10 = CosConstant[34] * h2g1[10]; 
    g1[53] = -h2g1t10 + g2g1[10]; 
    h2g1t11 = CosConstant[36] * h2g1[11]; 
    g1[52] = -h2g1t11 + g2g1[11]; 
    h2g1t12 = CosConstant[38] * h2g1[12]; 
    g1[51] = -h2g1t12 + g2g1[12]; 
    h2g1t13 = CosConstant[40] * h2g1[13]; 
    g1[50] = -h2g1t13 + g2g1[13]; 
    h2g1t14 = CosConstant[42] * h2g1[14]; 
    g1[49] = -h2g1t14 + g2g1[14]; 
    h2g1t15 = CosConstant[44] * h2g1[15]; 
    g1[48] = -h2g1t15 + g2g1[15]; 
    h2g1t16 = CosConstant[45] * h2g1[16]; 
    g1[16] = h2g1t16 + g2g1[16]; 
    g1[47] = -h2g1t16 + g2g1[16]; 
    h2g1t17 = CosConstant[47] * h2g1[17]; 
    g1[17] = h2g1t17 + g2g1[17]; 
    g1[46] = -h2g1t17 + g2g1[17]; 
    h2g1t18 = CosConstant[49] * h2g1[18]; 
    g1[18] = h2g1t18 + g2g1[18]; 
    g1[45] = -h2g1t18 + g2g1[18]; 
    h2g1t19 = CosConstant[51] * h2g1[19]; 
    g1[19] = h2g1t19 + g2g1[19]; 
    g1[44] = -h2g1t19 + g2g1[19]; 
    h2g1t20 = CosConstant[53] * h2g1[20]; 
    g1[20] = h2g1t20 + g2g1[20]; 
    g1[43] = -h2g1t20 + g2g1[20]; 
    h2g1t21 = CosConstant[55] * h2g1[21]; 
    g1[21] = h2g1t21 + g2g1[21]; 
    g1[42] = -h2g1t21 + g2g1[21]; 
    h2g1t22 = CosConstant[57] * h2g1[22]; 
    g1[22] = h2g1t22 + g2g1[22]; 
    g1[41] = -h2g1t22 + g2g1[22]; 
    h2g1t23 = CosConstant[59] * h2g1[23]; 
    g1[23] = h2g1t23 + g2g1[23]; 
    g1[40] = -h2g1t23 + g2g1[23]; 
    h2g1t24 = CosConstant[61] * h2g1[24]; 
    g1[24] = h2g1t24 + g2g1[24]; 
    g1[39] = -h2g1t24 + g2g1[24]; 
    h2g1t25 = CosConstant[63] * h2g1[25]; 
    g1[25] = h2g1t25 + g2g1[25]; 
    g1[38] = -h2g1t25 + g2g1[25]; 
    h2g1t26 = CosConstant[65] * h2g1[26]; 
    g1[26] = h2g1t26 + g2g1[26]; 
    g1[37] = -h2g1t26 + g2g1[26]; 
    h2g1t27 = CosConstant[67] * h2g1[27]; 
    g1[27] = h2g1t27 + g2g1[27]; 
    g1[36] = -h2g1t27 + g2g1[27]; 
    h2g1t28 = CosConstant[69] * h2g1[28]; 
    g1[28] = h2g1t28 + g2g1[28]; 
    g1[35] = -h2g1t28 + g2g1[28]; 
    h2g1t29 = CosConstant[71] * h2g1[29]; 
    g1[29] = h2g1t29 + g2g1[29]; 
    g1[34] = -h2g1t29 + g2g1[29]; 
    h2g1t30 = CosConstant[73] * h2g1[30]; 
    g1[30] = h2g1t30 + g2g1[30]; 
    g1[33] = -h2g1t30 + g2g1[30]; 
    h2g1t31 = CosConstant[75] * h2g1[31]; 
    g1[31] = h2g1t31 + g2g1[31]; 
    g1[32] = -h2g1t31 + g2g1[31]; 
    H2h1[5] = H1[9] + H1[11]; 
    H2h1[6] = H1[11] + H1[13]; 
    H2h1[7] = H1[13] + H1[15]; 
    H2h1[9] = H1[17] + H1[19]; 
    H2h1[10] = H1[19] + H1[21]; 
    H2h1[11] = H1[21] + H1[23]; 
    H3g2h1[3] = H1[10] + H1[14]; 
    H3g2h1[5] = H1[18] + H1[22]; 
    h7g6h5g4g3g2h1t0 = CosConstant[0] * X[47]; 
    g6h5g4g3g2h1[0] = h7g6h5g4g3g2h1t0 + X[17]; 
    g6h5g4g3g2h1[1] = -h7g6h5g4g3g2h1t0 + X[17]; 
    h5g4g3g2h1t0 = CosConstant[1] * g6h5g4g3g2h1[0]; 
    g4g3g2h1[7] = -h5g4g3g2h1t0; 
    h5g4g3g2h1t1 = CosConstant[5] * g6h5g4g3g2h1[1]; 
    g4g3g2h1[6] = -h5g4g3g2h1t1; 
    h5g4g3g2h1t2 = CosConstant[9] * g6h5g4g3g2h1[1]; 
    g4g3g2h1[5] = -h5g4g3g2h1t2; 
    h5g4g3g2h1t3 = CosConstant[13] * g6h5g4g3g2h1[0]; 
    g4g3g2h1[4] = -h5g4g3g2h1t3; 
    h7g6h5h4g3g2h1t0 = CosConstant[0] * H1[20]; 
    g6h5h4g3g2h1[0] = h7g6h5h4g3g2h1t0 + H1[12]; 
    g6h5h4g3g2h1[1] = -h7g6h5h4g3g2h1t0 + H1[12]; 
    h5h4g3g2h1t0 = CosConstant[1] * g6h5h4g3g2h1[0]; 
    h4g3g2h1[7] = -h5h4g3g2h1t0; 
    h5h4g3g2h1t1 = CosConstant[5] * g6h5h4g3g2h1[1]; 
    h4g3g2h1[6] = -h5h4g3g2h1t1; 
    h5h4g3g2h1t2 = CosConstant[9] * g6h5h4g3g2h1[1]; 
    h4g3g2h1[5] = -h5h4g3g2h1t2; 
    h5h4g3g2h1t3 = CosConstant[13] * g6h5h4g3g2h1[0]; 
    h4g3g2h1[4] = -h5h4g3g2h1t3; 
    h4g3g2h1t0 = h5h4g3g2h1t0 * CosConstant[2]; 
    g3g2h1[0] = h4g3g2h1t0 + h5g4g3g2h1t0; 
    g3g2h1[15] = -h4g3g2h1t0 + h5g4g3g2h1t0; 
    h4g3g2h1t1 = h5h4g3g2h1t1 * CosConstant[6]; 
    g3g2h1[1] = h4g3g2h1t1 + h5g4g3g2h1t1; 
    g3g2h1[14] = -h4g3g2h1t1 + h5g4g3g2h1t1; 
    h4g3g2h1t2 = h5h4g3g2h1t2 * CosConstant[10]; 
    g3g2h1[2] = h4g3g2h1t2 + h5g4g3g2h1t2; 
    g3g2h1[13] = -h4g3g2h1t2 + h5g4g3g2h1t2; 
    h4g3g2h1t3 = h5h4g3g2h1t3 * CosConstant[14]; 
    g3g2h1[3] = h4g3g2h1t3 + h5g4g3g2h1t3; 
    g3g2h1[12] = -h4g3g2h1t3 + h5g4g3g2h1t3; 
    h4g3g2h1t4 = CosConstant[17] * h4g3g2h1[4]; 
    g3g2h1[4] = h4g3g2h1t4 + g4g3g2h1[4]; 
    g3g2h1[11] = -h4g3g2h1t4 + g4g3g2h1[4]; 
    h4g3g2h1t5 = CosConstant[20] * h4g3g2h1[5]; 
    g3g2h1[5] = h4g3g2h1t5 + g4g3g2h1[5]; 
    g3g2h1[10] = -h4g3g2h1t5 + g4g3g2h1[5]; 
    h4g3g2h1t6 = CosConstant[23] * h4g3g2h1[6]; 
    g3g2h1[6] = h4g3g2h1t6 + g4g3g2h1[6]; 
    g3g2h1[9] = -h4g3g2h1t6 + g4g3g2h1[6]; 
    h4g3g2h1t7 = CosConstant[26] * h4g3g2h1[7]; 
    g3g2h1[7] = h4g3g2h1t7 + g4g3g2h1[7]; 
    g3g2h1[8] = -h4g3g2h1t7 + g4g3g2h1[7]; 
    h7g6h5g4h3g2h1t0 = CosConstant[0] * H1[22]; 
    g6h5g4h3g2h1[0] = h7g6h5g4h3g2h1t0 + H1[10]; 
    g6h5g4h3g2h1[1] = -h7g6h5g4h3g2h1t0 + H1[10]; 
    h5g4h3g2h1t0 = CosConstant[1] * g6h5g4h3g2h1[0]; 
    g4h3g2h1[7] = -h5g4h3g2h1t0; 
    h5g4h3g2h1t1 = CosConstant[5] * g6h5g4h3g2h1[1]; 
    g4h3g2h1[6] = -h5g4h3g2h1t1; 
    h5g4h3g2h1t2 = CosConstant[9] * g6h5g4h3g2h1[1]; 
    g4h3g2h1[5] = -h5g4h3g2h1t2; 
    h5g4h3g2h1t3 = CosConstant[13] * g6h5g4h3g2h1[0]; 
    g4h3g2h1[4] = -h5g4h3g2h1t3; 
    h7g6h5h4h3g2h1t0 = CosConstant[0] * H3g2h1[5]; 
    g6h5h4h3g2h1[0] = h7g6h5h4h3g2h1t0 + H3g2h1[3]; 
    g6h5h4h3g2h1[1] = -h7g6h5h4h3g2h1t0 + H3g2h1[3]; 
    h5h4h3g2h1t0 = CosConstant[1] * g6h5h4h3g2h1[0]; 
    h4h3g2h1[7] = -h5h4h3g2h1t0; 
    h5h4h3g2h1t1 = CosConstant[5] * g6h5h4h3g2h1[1]; 
    h4h3g2h1[6] = -h5h4h3g2h1t1; 
    h5h4h3g2h1t2 = CosConstant[9] * g6h5h4h3g2h1[1]; 
    h4h3g2h1[5] = -h5h4h3g2h1t2; 
    h5h4h3g2h1t3 = CosConstant[13] * g6h5h4h3g2h1[0]; 
    h4h3g2h1[4] = -h5h4h3g2h1t3; 
    h4h3g2h1t0 = h5h4h3g2h1t0 * CosConstant[2]; 
    h3g2h1[0] = h4h3g2h1t0 + h5g4h3g2h1t0; 
    h3g2h1[15] = -h4h3g2h1t0 + h5g4h3g2h1t0; 
    h4h3g2h1t1 = h5h4h3g2h1t1 * CosConstant[6]; 
    h3g2h1[1] = h4h3g2h1t1 + h5g4h3g2h1t1; 
    h3g2h1[14] = -h4h3g2h1t1 + h5g4h3g2h1t1; 
    h4h3g2h1t2 = h5h4h3g2h1t2 * CosConstant[10]; 
    h3g2h1[2] = h4h3g2h1t2 + h5g4h3g2h1t2; 
    h3g2h1[13] = -h4h3g2h1t2 + h5g4h3g2h1t2; 
    h4h3g2h1t3 = h5h4h3g2h1t3 * CosConstant[14]; 
    h3g2h1[3] = h4h3g2h1t3 + h5g4h3g2h1t3; 
    h3g2h1[12] = -h4h3g2h1t3 + h5g4h3g2h1t3; 
    h4h3g2h1t4 = CosConstant[17] * h4h3g2h1[4]; 
    h3g2h1[4] = h4h3g2h1t4 + g4h3g2h1[4]; 
    h3g2h1[11] = -h4h3g2h1t4 + g4h3g2h1[4]; 
    h4h3g2h1t5 = CosConstant[20] * h4h3g2h1[5]; 
    h3g2h1[5] = h4h3g2h1t5 + g4h3g2h1[5]; 
    h3g2h1[10] = -h4h3g2h1t5 + g4h3g2h1[5]; 
    h4h3g2h1t6 = CosConstant[23] * h4h3g2h1[6]; 
    h3g2h1[6] = h4h3g2h1t6 + g4h3g2h1[6]; 
    h3g2h1[9] = -h4h3g2h1t6 + g4h3g2h1[6]; 
    h4h3g2h1t7 = CosConstant[26] * h4h3g2h1[7]; 
    h3g2h1[7] = h4h3g2h1t7 + g4h3g2h1[7]; 
    h3g2h1[8] = -h4h3g2h1t7 + g4h3g2h1[7]; 
    h3g2h1t0 = CosConstant[3] * h3g2h1[0]; 
    g2h1[0] = h3g2h1t0 + g3g2h1[0]; 
    g2h1[31] = -h3g2h1t0 + g3g2h1[0]; 
    h3g2h1t1 = CosConstant[7] * h3g2h1[1]; 
    g2h1[1] = h3g2h1t1 + g3g2h1[1]; 
    g2h1[30] = -h3g2h1t1 + g3g2h1[1]; 
    h3g2h1t2 = CosConstant[11] * h3g2h1[2]; 
    g2h1[2] = h3g2h1t2 + g3g2h1[2]; 
    g2h1[29] = -h3g2h1t2 + g3g2h1[2]; 
    h3g2h1t3 = CosConstant[15] * h3g2h1[3]; 
    g2h1[3] = h3g2h1t3 + g3g2h1[3]; 
    g2h1[28] = -h3g2h1t3 + g3g2h1[3]; 
    h3g2h1t4 = CosConstant[18] * h3g2h1[4]; 
    g2h1[4] = h3g2h1t4 + g3g2h1[4]; 
    g2h1[27] = -h3g2h1t4 + g3g2h1[4]; 
    h3g2h1t5 = CosConstant[21] * h3g2h1[5]; 
    g2h1[5] = h3g2h1t5 + g3g2h1[5]; 
    g2h1[26] = -h3g2h1t5 + g3g2h1[5]; 
    h3g2h1t6 = CosConstant[24] * h3g2h1[6]; 
    g2h1[6] = h3g2h1t6 + g3g2h1[6]; 
    g2h1[25] = -h3g2h1t6 + g3g2h1[6]; 
    h3g2h1t7 = CosConstant[27] * h3g2h1[7]; 
    g2h1[7] = h3g2h1t7 + g3g2h1[7]; 
    g2h1[24] = -h3g2h1t7 + g3g2h1[7]; 
    h3g2h1t8 = CosConstant[29] * h3g2h1[8]; 
    g2h1[8] = h3g2h1t8 + g3g2h1[8]; 
    g2h1[23] = -h3g2h1t8 + g3g2h1[8]; 
    h3g2h1t9 = CosConstant[31] * h3g2h1[9]; 
    g2h1[9] = h3g2h1t9 + g3g2h1[9]; 
    g2h1[22] = -h3g2h1t9 + g3g2h1[9]; 
    h3g2h1t10 = CosConstant[33] * h3g2h1[10]; 
    g2h1[10] = h3g2h1t10 + g3g2h1[10]; 
    g2h1[21] = -h3g2h1t10 + g3g2h1[10]; 
    h3g2h1t11 = CosConstant[35] * h3g2h1[11]; 
    g2h1[11] = h3g2h1t11 + g3g2h1[11]; 
    g2h1[20] = -h3g2h1t11 + g3g2h1[11]; 
    h3g2h1t12 = CosConstant[37] * h3g2h1[12]; 
    g2h1[12] = h3g2h1t12 + g3g2h1[12]; 
    g2h1[19] = -h3g2h1t12 + g3g2h1[12]; 
    h3g2h1t13 = CosConstant[39] * h3g2h1[13]; 
    g2h1[13] = h3g2h1t13 + g3g2h1[13]; 
    g2h1[18] = -h3g2h1t13 + g3g2h1[13]; 
    h3g2h1t14 = CosConstant[41] * h3g2h1[14]; 
    g2h1[14] = h3g2h1t14 + g3g2h1[14]; 
    g2h1[17] = -h3g2h1t14 + g3g2h1[14]; 
    h3g2h1t15 = CosConstant[43] * h3g2h1[15]; 
    g2h1[15] = h3g2h1t15 + g3g2h1[15]; 
    g2h1[16] = -h3g2h1t15 + g3g2h1[15]; 
    H3h2h1[3] = H2h1[5] + H2h1[7]; 
    H3h2h1[5] = H2h1[9] + H2h1[11]; 
    h7g6h5g4g3h2h1t0 = CosConstant[0] * H1[23]; 
    g6h5g4g3h2h1[0] = h7g6h5g4g3h2h1t0 + H1[9]; 
    g6h5g4g3h2h1[1] = -h7g6h5g4g3h2h1t0 + H1[9]; 
    h5g4g3h2h1t0 = CosConstant[1] * g6h5g4g3h2h1[0]; 
    g4g3h2h1[7] = -h5g4g3h2h1t0; 
    h5g4g3h2h1t1 = CosConstant[5] * g6h5g4g3h2h1[1]; 
    g4g3h2h1[6] = -h5g4g3h2h1t1; 
    h5g4g3h2h1t2 = CosConstant[9] * g6h5g4g3h2h1[1]; 
    g4g3h2h1[5] = -h5g4g3h2h1t2; 
    h5g4g3h2h1t3 = CosConstant[13] * g6h5g4g3h2h1[0]; 
    g4g3h2h1[4] = -h5g4g3h2h1t3; 
    h7g6h5h4g3h2h1t0 = CosConstant[0] * H2h1[10]; 
    g6h5h4g3h2h1[0] = h7g6h5h4g3h2h1t0 + H2h1[6]; 
    g6h5h4g3h2h1[1] = -h7g6h5h4g3h2h1t0 + H2h1[6]; 
    h5h4g3h2h1t0 = CosConstant[1] * g6h5h4g3h2h1[0]; 
    h4g3h2h1[7] = -h5h4g3h2h1t0; 
    h5h4g3h2h1t1 = CosConstant[5] * g6h5h4g3h2h1[1]; 
    h4g3h2h1[6] = -h5h4g3h2h1t1; 
    h5h4g3h2h1t2 = CosConstant[9] * g6h5h4g3h2h1[1]; 
    h4g3h2h1[5] = -h5h4g3h2h1t2; 
    h5h4g3h2h1t3 = CosConstant[13] * g6h5h4g3h2h1[0]; 
    h4g3h2h1[4] = -h5h4g3h2h1t3; 
    h4g3h2h1t0 = h5h4g3h2h1t0 * CosConstant[2]; 
    g3h2h1[0] = h4g3h2h1t0 + h5g4g3h2h1t0; 
    g3h2h1[15] = -h4g3h2h1t0 + h5g4g3h2h1t0; 
    h4g3h2h1t1 = h5h4g3h2h1t1 * CosConstant[6]; 
    g3h2h1[1] = h4g3h2h1t1 + h5g4g3h2h1t1; 
    g3h2h1[14] = -h4g3h2h1t1 + h5g4g3h2h1t1; 
    h4g3h2h1t2 = h5h4g3h2h1t2 * CosConstant[10]; 
    g3h2h1[2] = h4g3h2h1t2 + h5g4g3h2h1t2; 
    g3h2h1[13] = -h4g3h2h1t2 + h5g4g3h2h1t2; 
    h4g3h2h1t3 = h5h4g3h2h1t3 * CosConstant[14]; 
    g3h2h1[3] = h4g3h2h1t3 + h5g4g3h2h1t3; 
    g3h2h1[12] = -h4g3h2h1t3 + h5g4g3h2h1t3; 
    h4g3h2h1t4 = CosConstant[17] * h4g3h2h1[4]; 
    g3h2h1[4] = h4g3h2h1t4 + g4g3h2h1[4]; 
    g3h2h1[11] = -h4g3h2h1t4 + g4g3h2h1[4]; 
    h4g3h2h1t5 = CosConstant[20] * h4g3h2h1[5]; 
    g3h2h1[5] = h4g3h2h1t5 + g4g3h2h1[5]; 
    g3h2h1[10] = -h4g3h2h1t5 + g4g3h2h1[5]; 
    h4g3h2h1t6 = CosConstant[23] * h4g3h2h1[6]; 
    g3h2h1[6] = h4g3h2h1t6 + g4g3h2h1[6]; 
    g3h2h1[9] = -h4g3h2h1t6 + g4g3h2h1[6]; 
    h4g3h2h1t7 = CosConstant[26] * h4g3h2h1[7]; 
    g3h2h1[7] = h4g3h2h1t7 + g4g3h2h1[7]; 
    g3h2h1[8] = -h4g3h2h1t7 + g4g3h2h1[7]; 
    h7g6h5g4h3h2h1t0 = CosConstant[0] * H2h1[11]; 
    g6h5g4h3h2h1[0] = h7g6h5g4h3h2h1t0 + H2h1[5]; 
    g6h5g4h3h2h1[1] = -h7g6h5g4h3h2h1t0 + H2h1[5]; 
    h5g4h3h2h1t0 = CosConstant[1] * g6h5g4h3h2h1[0]; 
    g4h3h2h1[7] = -h5g4h3h2h1t0; 
    h5g4h3h2h1t1 = CosConstant[5] * g6h5g4h3h2h1[1]; 
    g4h3h2h1[6] = -h5g4h3h2h1t1; 
    h5g4h3h2h1t2 = CosConstant[9] * g6h5g4h3h2h1[1]; 
    g4h3h2h1[5] = -h5g4h3h2h1t2; 
    h5g4h3h2h1t3 = CosConstant[13] * g6h5g4h3h2h1[0]; 
    g4h3h2h1[4] = -h5g4h3h2h1t3; 
    h7g6h5h4h3h2h1t0 = CosConstant[0] * H3h2h1[5]; 
    g6h5h4h3h2h1[0] = h7g6h5h4h3h2h1t0 + H3h2h1[3]; 
    g6h5h4h3h2h1[1] = -h7g6h5h4h3h2h1t0 + H3h2h1[3]; 
    h5h4h3h2h1t0 = CosConstant[1] * g6h5h4h3h2h1[0]; 
    h4h3h2h1[7] = -h5h4h3h2h1t0; 
    h5h4h3h2h1t1 = CosConstant[5] * g6h5h4h3h2h1[1]; 
    h4h3h2h1[6] = -h5h4h3h2h1t1; 
    h5h4h3h2h1t2 = CosConstant[9] * g6h5h4h3h2h1[1]; 
    h4h3h2h1[5] = -h5h4h3h2h1t2; 
    h5h4h3h2h1t3 = CosConstant[13] * g6h5h4h3h2h1[0]; 
    h4h3h2h1[4] = -h5h4h3h2h1t3; 
    h4h3h2h1t0 = h5h4h3h2h1t0 * CosConstant[2]; 
    h3h2h1[0] = h4h3h2h1t0 + h5g4h3h2h1t0; 
    h3h2h1[15] = -h4h3h2h1t0 + h5g4h3h2h1t0; 
    h4h3h2h1t1 = h5h4h3h2h1t1 * CosConstant[6]; 
    h3h2h1[1] = h4h3h2h1t1 + h5g4h3h2h1t1; 
    h3h2h1[14] = -h4h3h2h1t1 + h5g4h3h2h1t1; 
    h4h3h2h1t2 = h5h4h3h2h1t2 * CosConstant[10]; 
    h3h2h1[2] = h4h3h2h1t2 + h5g4h3h2h1t2; 
    h3h2h1[13] = -h4h3h2h1t2 + h5g4h3h2h1t2; 
    h4h3h2h1t3 = h5h4h3h2h1t3 * CosConstant[14]; 
    h3h2h1[3] = h4h3h2h1t3 + h5g4h3h2h1t3; 
    h3h2h1[12] = -h4h3h2h1t3 + h5g4h3h2h1t3; 
    h4h3h2h1t4 = CosConstant[17] * h4h3h2h1[4]; 
    h3h2h1[4] = h4h3h2h1t4 + g4h3h2h1[4]; 
    h3h2h1[11] = -h4h3h2h1t4 + g4h3h2h1[4]; 
    h4h3h2h1t5 = CosConstant[20] * h4h3h2h1[5]; 
    h3h2h1[5] = h4h3h2h1t5 + g4h3h2h1[5]; 
    h3h2h1[10] = -h4h3h2h1t5 + g4h3h2h1[5]; 
    h4h3h2h1t6 = CosConstant[23] * h4h3h2h1[6]; 
    h3h2h1[6] = h4h3h2h1t6 + g4h3h2h1[6]; 
    h3h2h1[9] = -h4h3h2h1t6 + g4h3h2h1[6]; 
    h4h3h2h1t7 = CosConstant[26] * h4h3h2h1[7]; 
    h3h2h1[7] = h4h3h2h1t7 + g4h3h2h1[7]; 
    h3h2h1[8] = -h4h3h2h1t7 + g4h3h2h1[7]; 
    h3h2h1t0 = CosConstant[3] * h3h2h1[0]; 
    h2h1[0] = h3h2h1t0 + g3h2h1[0]; 
    h2h1[31] = -h3h2h1t0 + g3h2h1[0]; 
    h3h2h1t1 = CosConstant[7] * h3h2h1[1]; 
    h2h1[1] = h3h2h1t1 + g3h2h1[1]; 
    h2h1[30] = -h3h2h1t1 + g3h2h1[1]; 
    h3h2h1t2 = CosConstant[11] * h3h2h1[2]; 
    h2h1[2] = h3h2h1t2 + g3h2h1[2]; 
    h2h1[29] = -h3h2h1t2 + g3h2h1[2]; 
    h3h2h1t3 = CosConstant[15] * h3h2h1[3]; 
    h2h1[3] = h3h2h1t3 + g3h2h1[3]; 
    h2h1[28] = -h3h2h1t3 + g3h2h1[3]; 
    h3h2h1t4 = CosConstant[18] * h3h2h1[4]; 
    h2h1[4] = h3h2h1t4 + g3h2h1[4]; 
    h2h1[27] = -h3h2h1t4 + g3h2h1[4]; 
    h3h2h1t5 = CosConstant[21] * h3h2h1[5]; 
    h2h1[5] = h3h2h1t5 + g3h2h1[5]; 
    h2h1[26] = -h3h2h1t5 + g3h2h1[5]; 
    h3h2h1t6 = CosConstant[24] * h3h2h1[6]; 
    h2h1[6] = h3h2h1t6 + g3h2h1[6]; 
    h2h1[25] = -h3h2h1t6 + g3h2h1[6]; 
    h3h2h1t7 = CosConstant[27] * h3h2h1[7]; 
    h2h1[7] = h3h2h1t7 + g3h2h1[7]; 
    h2h1[24] = -h3h2h1t7 + g3h2h1[7]; 
    h3h2h1t8 = CosConstant[29] * h3h2h1[8]; 
    h2h1[8] = h3h2h1t8 + g3h2h1[8]; 
    h2h1[23] = -h3h2h1t8 + g3h2h1[8]; 
    h3h2h1t9 = CosConstant[31] * h3h2h1[9]; 
    h2h1[9] = h3h2h1t9 + g3h2h1[9]; 
    h2h1[22] = -h3h2h1t9 + g3h2h1[9]; 
    h3h2h1t10 = CosConstant[33] * h3h2h1[10]; 
    h2h1[10] = h3h2h1t10 + g3h2h1[10]; 
    h2h1[21] = -h3h2h1t10 + g3h2h1[10]; 
    h3h2h1t11 = CosConstant[35] * h3h2h1[11]; 
    h2h1[11] = h3h2h1t11 + g3h2h1[11]; 
    h2h1[20] = -h3h2h1t11 + g3h2h1[11]; 
    h3h2h1t12 = CosConstant[37] * h3h2h1[12]; 
    h2h1[12] = h3h2h1t12 + g3h2h1[12]; 
    h2h1[19] = -h3h2h1t12 + g3h2h1[12]; 
    h3h2h1t13 = CosConstant[39] * h3h2h1[13]; 
    h2h1[13] = h3h2h1t13 + g3h2h1[13]; 
    h2h1[18] = -h3h2h1t13 + g3h2h1[13]; 
    h3h2h1t14 = CosConstant[41] * h3h2h1[14]; 
    h2h1[14] = h3h2h1t14 + g3h2h1[14]; 
    h2h1[17] = -h3h2h1t14 + g3h2h1[14]; 
    h3h2h1t15 = CosConstant[43] * h3h2h1[15]; 
    h2h1[15] = h3h2h1t15 + g3h2h1[15]; 
    h2h1[16] = -h3h2h1t15 + g3h2h1[15]; 
    h2h1t0 = CosConstant[4] * h2h1[0]; 
    h1[63] = -h2h1t0 + g2h1[0]; 
    h2h1t1 = CosConstant[8] * h2h1[1]; 
    h1[62] = -h2h1t1 + g2h1[1]; 
    h2h1t2 = CosConstant[12] * h2h1[2]; 
    h1[61] = -h2h1t2 + g2h1[2]; 
    h2h1t3 = CosConstant[16] * h2h1[3]; 
    h1[60] = -h2h1t3 + g2h1[3]; 
    h2h1t4 = CosConstant[19] * h2h1[4]; 
    h1[59] = -h2h1t4 + g2h1[4]; 
    h2h1t5 = CosConstant[22] * h2h1[5]; 
    h1[58] = -h2h1t5 + g2h1[5]; 
    h2h1t6 = CosConstant[25] * h2h1[6]; 
    h1[57] = -h2h1t6 + g2h1[6]; 
    h2h1t7 = CosConstant[28] * h2h1[7]; 
    h1[56] = -h2h1t7 + g2h1[7]; 
    h2h1t8 = CosConstant[30] * h2h1[8]; 
    h1[55] = -h2h1t8 + g2h1[8]; 
    h2h1t9 = CosConstant[32] * h2h1[9]; 
    h1[54] = -h2h1t9 + g2h1[9]; 
    h2h1t10 = CosConstant[34] * h2h1[10]; 
    h1[53] = -h2h1t10 + g2h1[10]; 
    h2h1t11 = CosConstant[36] * h2h1[11]; 
    h1[52] = -h2h1t11 + g2h1[11]; 
    h2h1t12 = CosConstant[38] * h2h1[12]; 
    h1[51] = -h2h1t12 + g2h1[12]; 
    h2h1t13 = CosConstant[40] * h2h1[13]; 
    h1[50] = -h2h1t13 + g2h1[13]; 
    h2h1t14 = CosConstant[42] * h2h1[14]; 
    h1[49] = -h2h1t14 + g2h1[14]; 
    h2h1t15 = CosConstant[44] * h2h1[15]; 
    h1[48] = -h2h1t15 + g2h1[15]; 
    h2h1t16 = CosConstant[45] * h2h1[16]; 
    h1[16] = h2h1t16 + g2h1[16]; 
    h1[47] = -h2h1t16 + g2h1[16]; 
    h2h1t17 = CosConstant[47] * h2h1[17]; 
    h1[17] = h2h1t17 + g2h1[17]; 
    h1[46] = -h2h1t17 + g2h1[17]; 
    h2h1t18 = CosConstant[49] * h2h1[18]; 
    h1[18] = h2h1t18 + g2h1[18]; 
    h1[45] = -h2h1t18 + g2h1[18]; 
    h2h1t19 = CosConstant[51] * h2h1[19]; 
    h1[19] = h2h1t19 + g2h1[19]; 
    h1[44] = -h2h1t19 + g2h1[19]; 
    h2h1t20 = CosConstant[53] * h2h1[20]; 
    h1[20] = h2h1t20 + g2h1[20]; 
    h1[43] = -h2h1t20 + g2h1[20]; 
    h2h1t21 = CosConstant[55] * h2h1[21]; 
    h1[21] = h2h1t21 + g2h1[21]; 
    h1[42] = -h2h1t21 + g2h1[21]; 
    h2h1t22 = CosConstant[57] * h2h1[22]; 
    h1[22] = h2h1t22 + g2h1[22]; 
    h1[41] = -h2h1t22 + g2h1[22]; 
    h2h1t23 = CosConstant[59] * h2h1[23]; 
    h1[23] = h2h1t23 + g2h1[23]; 
    h1[40] = -h2h1t23 + g2h1[23]; 
    h2h1t24 = CosConstant[61] * h2h1[24]; 
    h1[24] = h2h1t24 + g2h1[24]; 
    h1[39] = -h2h1t24 + g2h1[24]; 
    h2h1t25 = CosConstant[63] * h2h1[25]; 
    h1[25] = h2h1t25 + g2h1[25]; 
    h1[38] = -h2h1t25 + g2h1[25]; 
    h2h1t26 = CosConstant[65] * h2h1[26]; 
    h1[26] = h2h1t26 + g2h1[26]; 
    h1[37] = -h2h1t26 + g2h1[26]; 
    h2h1t27 = CosConstant[67] * h2h1[27]; 
    h1[27] = h2h1t27 + g2h1[27]; 
    h1[36] = -h2h1t27 + g2h1[27]; 
    h2h1t28 = CosConstant[69] * h2h1[28]; 
    h1[28] = h2h1t28 + g2h1[28]; 
    h1[35] = -h2h1t28 + g2h1[28]; 
    h2h1t29 = CosConstant[71] * h2h1[29]; 
    h1[29] = h2h1t29 + g2h1[29]; 
    h1[34] = -h2h1t29 + g2h1[29]; 
    h2h1t30 = CosConstant[73] * h2h1[30]; 
    h1[30] = h2h1t30 + g2h1[30]; 
    h1[33] = -h2h1t30 + g2h1[30]; 
    h2h1t31 = CosConstant[75] * h2h1[31]; 
    h1[31] = h2h1t31 + g2h1[31]; 
    h1[32] = -h2h1t31 + g2h1[31]; 
    h1t16 = CosConstant[46] * h1[16]; 
    h1t17 = CosConstant[48] * h1[17]; 
    h1t18 = CosConstant[50] * h1[18]; 
    h1t19 = CosConstant[52] * h1[19]; 
    h1t20 = CosConstant[54] * h1[20]; 
    h1t21 = CosConstant[56] * h1[21]; 
    h1t22 = CosConstant[58] * h1[22]; 
    h1t23 = CosConstant[60] * h1[23]; 
    h1t24 = CosConstant[62] * h1[24]; 
    h1t25 = CosConstant[64] * h1[25]; 
    h1t26 = CosConstant[66] * h1[26]; 
    h1t27 = CosConstant[68] * h1[27]; 
    h1t28 = CosConstant[70] * h1[28]; 
    h1t29 = CosConstant[72] * h1[29]; 
    h1t30 = CosConstant[74] * h1[30]; 
    h1t31 = CosConstant[76] * h1[31]; 
    h1t32 = CosConstant[77] * h1[32]; 
    h1t33 = CosConstant[78] * h1[33]; 
    h1t34 = CosConstant[79] * h1[34]; 
    h1t35 = CosConstant[80] * h1[35]; 
    h1t36 = CosConstant[81] * h1[36]; 
    h1t37 = CosConstant[82] * h1[37]; 
    h1t38 = CosConstant[83] * h1[38]; 
    h1t39 = CosConstant[84] * h1[39]; 
    h1t40 = CosConstant[85] * h1[40]; 
    h1t41 = CosConstant[86] * h1[41]; 
    h1t42 = CosConstant[87] * h1[42]; 
    h1t43 = CosConstant[88] * h1[43]; 
    h1t44 = CosConstant[89] * h1[44]; 
    h1t45 = CosConstant[90] * h1[45]; 
    h1t46 = CosConstant[91] * h1[46]; 
    h1t47 = CosConstant[92] * h1[47]; 
    h1t48 = CosConstant[93] * h1[48]; 
    h1t49 = CosConstant[94] * h1[49]; 
    h1t50 = CosConstant[95] * h1[50]; 
    h1t51 = CosConstant[96] * h1[51]; 
    h1t52 = CosConstant[97] * h1[52]; 
    h1t53 = CosConstant[98] * h1[53]; 
    h1t54 = CosConstant[99] * h1[54]; 
    h1t55 = CosConstant[100] * h1[55]; 
    h1t56 = CosConstant[101] * h1[56]; 
    h1t57 = CosConstant[102] * h1[57]; 
    h1t58 = CosConstant[103] * h1[58]; 
    h1t59 = CosConstant[104] * h1[59]; 
    h1t60 = CosConstant[105] * h1[60]; 
    h1t61 = CosConstant[106] * h1[61]; 
    h1t62 = CosConstant[107] * h1[62]; 
    h1t63 = CosConstant[108] * h1[63]; 
    x[64] = -h1t63 + g1[63]; 
    x[63] = h1t63 + g1[63]; 
    x[65] = -h1t62 + g1[62]; 
    x[62] = h1t62 + g1[62]; 
    x[66] = -h1t61 + g1[61]; 
    x[61] = h1t61 + g1[61]; 
    x[67] = -h1t60 + g1[60]; 
    x[60] = h1t60 + g1[60]; 
    x[68] = -h1t59 + g1[59]; 
    x[59] = h1t59 + g1[59]; 
    x[69] = -h1t58 + g1[58]; 
    x[58] = h1t58 + g1[58]; 
    x[70] = -h1t57 + g1[57]; 
    x[57] = h1t57 + g1[57]; 
    x[71] = -h1t56 + g1[56]; 
    x[56] = h1t56 + g1[56]; 
    x[72] = -h1t55 + g1[55]; 
    x[55] = h1t55 + g1[55]; 
    x[73] = -h1t54 + g1[54]; 
    x[54] = h1t54 + g1[54]; 
    x[74] = -h1t53 + g1[53]; 
    x[53] = h1t53 + g1[53]; 
    x[75] = -h1t52 + g1[52]; 
    x[52] = h1t52 + g1[52]; 
    x[76] = -h1t51 + g1[51]; 
    x[51] = h1t51 + g1[51]; 
    x[77] = -h1t50 + g1[50]; 
    x[50] = h1t50 + g1[50]; 
    x[78] = -h1t49 + g1[49]; 
    x[49] = h1t49 + g1[49]; 
    x[79] = -h1t48 + g1[48]; 
    x[48] = h1t48 + g1[48]; 
    x[47] = h1t47 + g1[47]; 
    x[46] = h1t46 + g1[46]; 
    x[45] = h1t45 + g1[45]; 
    x[44] = h1t44 + g1[44]; 
    x[43] = h1t43 + g1[43]; 
    x[42] = h1t42 + g1[42]; 
    x[41] = h1t41 + g1[41]; 
    x[40] = h1t40 + g1[40]; 
    x[39] = h1t39 + g1[39]; 
    x[38] = h1t38 + g1[38]; 
    x[37] = h1t37 + g1[37]; 
    x[36] = h1t36 + g1[36]; 
    x[35] = h1t35 + g1[35]; 
    x[34] = h1t34 + g1[34]; 
    x[33] = h1t33 + g1[33]; 
    x[32] = h1t32 + g1[32]; 
    x[31] = h1t31 + g1[31]; 
    x[30] = h1t30 + g1[30]; 
    x[29] = h1t29 + g1[29]; 
    x[28] = h1t28 + g1[28]; 
    x[27] = h1t27 + g1[27]; 
    x[26] = h1t26 + g1[26]; 
    x[25] = h1t25 + g1[25]; 
    x[24] = h1t24 + g1[24]; 
    x[23] = h1t23 + g1[23]; 
    x[22] = h1t22 + g1[22]; 
    x[21] = h1t21 + g1[21]; 
    x[20] = h1t20 + g1[20]; 
    x[19] = h1t19 + g1[19]; 
    x[18] = h1t18 + g1[18]; 
    x[17] = h1t17 + g1[17]; 
    x[16] = h1t16 + g1[16]; 
}
