static char *rcsid="$Header: /usr/local/src/nvrToMIT/RCS/elm_salt.c,v 1.3 1995/03/17 14:18:40 russ Exp $";
#ifndef SCCSID_DEFINED
static char SCCSid[] = "@(#)elm_salt.c	1.21 12/17/93 ELAN";
#define SCCSID_DEFINED
#endif

/*
 * Copyright (c) 1989-1992 Elan Computer Group, Inc.
 * All Rights Reserved.
 *
 * This is unpublished proprietary source code of Elan Computer Group, Inc.
 * The copyright notice above does not evidence any actual
 * or intended publication of such source code.
 */

/*
 * Vendor definitions for North Valley Research
 */

#include "elm.h"

/*--------------------------------------------------------------------------
 * Company specific "salt"
 * Enter whatever you like inside the curly brackets.
 * See elmintro.1 and elm_salt.3 for an explaination.
 */
char elm_salt[] = {
'\300', '\220', '\004', '\007', '\005',    'a', '\003', '\037',
'\374', '\026', '\001', '\304', '\001', '\005',    '*',    '"',
  '\t', '\203', '\031',    'G', '\021', '\342',    'c',    'D',
   '2', '\205', '\204',    'b', '\264',    '\0'
};
/*--------------------------------------------------------------------------
 * Change this to whatever you would like to call your Elan License Manager
 * license server host.  If this name is set in the environment, then
 * this will be the license server host and Server Address Resolution
 * will not be used.
 */
char elm_host[] = "NVR_LMHOST";
/*--------------------------------------------------------------------------
 * The name of the service for insertion in /etc/services
 * You should name this to be unique to your company.
 * For example, if your company name where MicroCruft, mc_elmd
 * would be a nice name.
 */
char elm_service[] = "nvrlmd";

/*--------------------------------------------------------------------------
 * Default key directory.
 * Most folks specify the key directory via the -e option to elmd
 * or via elm_init.  If you like, you can also specify a company
 * specific default instead of /usr/lib/elm.
 */
char elm_keydir[] = "/usr/lib/elm";

/*--------------------------------------------------------------------------
 * The default port number, so users don't have to bother
 * editing their /etc/services file.
 *
 * However, if a user prefers to change this port number, they can by 
 * editing the entry in /etc/services with the line contining the 
 * service indicated by elm_service above.  A typical line will
 * appear as:
 *		elmd	xxxx/udp
 *
 * Note
 *    1) These numbers must be greater than 1024. We use numbers above 5000.
 *    2) The elm_port_salt below is used to "salt" the encryption for
 *	 compatibility with prior versions of the Elan License Manager.
 *	 Don't change elm_port_salt.
 */
unsigned int elm_port = 6241;

unsigned int elm_port_salt = 6241;	/* DO NOT CHANGE */
/*--------------------------------------------------------------------------
 * Here's where you can define your default HOST Identification encoding.
 * See elm_hostcode(3) for details.
 */
#ifdef STDKEYGEN
unsigned long elm_hostcode = ELM_HOSTCODE_STANDARD;
#else
unsigned long elm_hostcode = ELM_HOSTCODE_IDPROM(4);
#endif
/*--------------------------------------------------------------------------
 * elm_keyaccept: Accept earlier License keys?
 *	If you have an earlier Elan License Manager Release,
 *	and want to support old license keys, set this to the earliest key you
 *	wish to support.  Legal values:
 *		000	Accept all keys.
 *		130	
 *		140	
 *		150	
 *		200	
 *		210	
 *		220	Require "magic token". (Release 2.2)
 *		230	Require date tag field. (Release 2.3)
 */
int elm_keyaccept = 230;

