#
# @(#)README.M	1.1 7/20/93 09:53:00 - Elan Computer Group, Inc. (c) 1993
#
This directory contains miscellaneous software that may be useful
to you in using Elan License Manager with your applications.

Included are:

install.sh
		You will most certainly wish to automate the installation
		of Elan License Manager at a customer's site.  The file
		is a portion of one of our installation scripts dealing
		with license manager and key installation.  Feel free
		to use some or all of it.

wrapper.c	A "wrapper" for protecting applications that have no
		current protection and for which you have no source code.

getpath.sh	Program to determine full path to program.  You can use this
		as part of your application to set up an environment before
		it is launched.  It's handy to determine your key directory.

WRAPPER.C
---------
  How to set up your wrapper:
 
  1) Create a new group in /etc/group called "secure" with a unique 
     group number and no one as a member.
 
  2) Create a directory, such as /usr/lib/secure.  The applications will
     go here. (See SECURE_DIR define below.)
 
  3) Make this directory readable by the group "secure" only:
 
 			chown root   /usr/lib/secure
 			chgrp secure /usr/lib/secure
 			chmod 070    /usr/lib/secure
 
  4) Move the applications you wish to protect to this directory.
     For example:
 
 			mv wings /usr/lib/secure
 
  5) Edit this application "wrapper.c" and change the defines 
     for SECURE_DIR and KEYDIR if you have chosen different directory names.
 
  6) Install this program wrapper in /usr/bin (or /usr/local/bin, etc.)
     as the same same as the program you are protecting.  For example,
 
 			mv wrapper /usr/bin/wings
 
  7) Set the owner and modes for this program (/usr/bin/wings) as follows:
 
 			chown secure /usr/bin/wings
 			chmod 111 /usr/bin/wings
 			chnod g+s /usr/bin/wings
 
  8) Proceed with the standard Elan License Manager installation.
 
  9) Generate a key using Ean License Manager for the feature name 
     that is the same as the program name ("wings" in our example above.)
 
  10) You're ready to run!
