/*
 *      (c) Copyright 1992 North Valley Research, Inc.
 *              All Rights Reserved
 *
 *      Confidential -- All proprietary rights reserved.
 *      Licensed Material -- Property of North Valley Research, Inc.
 *
 *      This program is the property of North Valley Research, Inc. or others
 *      from whom North Valley Research has obtained a licensing right, and is
 *      considered by North Valley Research to be confidential.  It is protected
 *      by U.S. copyright law as an unpublished work and is
 *      furnished pursuant to a written license agreement.  It may
 *      not be used, copied or otherwise reproduced, or disclosed to
 *      others except in accordance with the terms and conditions of
 *      that agreement.
 *
 *      NAME
 *              fileImageDpyI.h
 *
 *      DESCRIPTION
 *              internal (file) methods for displaying an image in a file
 *
 *      REVISION
 *              $Header: /usr/local/src/nvrToMIT/RCS/fileImageDpyI.h,v 1.2 1995/10/21 01:41:55 toddb Exp $
 */
 
#ifndef FILEIMAGEDPYI_H
#define FILEIMAGEDPYI_H
 
#include "imageDpyI.h"
#include "nvrAlloc.h"
 
typedef struct _fileImageRegion {
    PrivImgDpyRegion super;
    FileHandle outputFile;
} FileImageRegion, *FileImageRegionPtr;
 
#endif /* FILEIMAGEDPYI_H */
