/*
 * (c) Copyright 1992, 1993 North Valley Research, Inc.
 * 	All Rights Reserved
 *
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	<name> - <one-line description of header file>
 *
 * DESCRIPTION
 *	<overall description of what the header file does>
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/rgblookupI.h,v 1.1 1995/10/20 21:18:44 russ Exp $
 */
#ifndef _RGBLOOKUPI_H_
#define _RGBLOOKUPI_H_

#include "rgblookup.h"

#define Store2hAsLong	1
#define Store2hAs2h	2

#ifndef Aligned2hStoreMethod
#define Aligned2hStoreMethod Store2hAs2h
#endif

#if Aligned2hStoreMethod == Store2hAs2h
#define StoreAligned2h(_ptr, _p0,_p1)					\
    UShortP(_ptr)[0] = _p0;					       	\
    UShortP(_ptr)[1] = _p1;
#endif /* Aligned2hStoreMethod == Store2hAs2h */

#if Aligned2hStoreMethod == Store2hAs2Long
#define StoreAligned2h(_ptr, _p0,p1)					\
    ULongP(_ptr)[0] = (_p0<<16) | _p1;
#endif /* Aligned2hStoreMethod == Store2hAs2Long */

#endif /* _RGBLOOKUP_H_ */
