/*
 * (c) Copyright 1992, 1993, 1994 North Valley Research, Inc.
 * 	All Rights Reserved
 *
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	WidgetDebug.h - X widget creation utils
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/WidgetDebug.h,v 1.5 1995/07/10 22:04:22 toddb Exp $
 */
#ifndef _WIDGETDEBUG_H_
#define _WIDGETDEBUG_H_

#include <Intrinsic.h>
#include "WidgetUtil.h"
#include "nvrDebug.h"

/*
 * Debugging functions
 */
CExternal void ShowWidgetTree(
    Widget w
);

CExternal char * GetClassPath(
    Widget w,
    char *path,
    int pathLen
);

CExternal void ShowClassPath(
    Widget w
);

CExternal char * GetWidgetPath(
    Widget w,
    char *path,
    int pathLen
);

CExternal void ShowWidgetPath(
    Widget w
);

CExternal void ShowWidgetResource(
    Widget w,
    char *rscName
);

CExternal void ShowWidgetResources(
    Widget w,
    int level
);

CExternal char *XtClassToString(
    WidgetClass wclass
);

CExternal WidgetClass XtSuperClass(
    WidgetClass wclass
);

CExternal void InitDebugUI(
    Widget,
    FlagLabelsPtr
);

/*
 * Utility data.
 */
extern char *WidgetClassNames[];

#endif /* _WIDGETDEBUG_H_ */
