/*
 * Copyright (c) 1992,1993,1994 North Valley Research, Inc.
 * Confidential -- All proprietary rights reserved.
 * Licensed Material -- Property of North Valley Research, Inc.
 *
 * This program is the property of North Valley Research, Inc. or others
 * from whom North Valley Research has obtained a licensing right, and is
 * considered by North Valley Research to be confidential.  It is protected
 * by U.S. copyright law as an unpublished work and is
 * furnished pursuant to a written license agreement.  It may
 * not be used, copied or otherwise reproduced, or disclosed to
 * others except in accordance with the terms and conditions of
 * that agreement.
 *
 * NAME
 *	mpeg1aLayer1.c - frame level decoding for mpeg audio
 *
 * $Header: /usr/local/src/nvrToMIT/RCS/mpeg1aNoop.c,v 1.1 1995/09/05 18:38:14 toddb Exp $
 */

#include "mpeg1adecI.h"

static InternalReasonPtr
NoopProc(Mpeg1ADecPrivPtr adec, UChar *pSrc)
{
    return(NULL);
}

static Mpeg1ASynthMethodRec NoopMethodData = {
    NoopProc, NoopProc, NoopProc
};

static Mpeg1AOpsInitRec Mpeg1ADecodeNoopData = {
    Mpeg1AInit, &NoopMethodData, &NoopMethodData
};

Mpeg1AOpsInit Mpeg1ADecodeNoop = &Mpeg1ADecodeNoopData;
