/* $Header: /usr/local/src/nvrToMIT/RCS/DeepDisplayP.h,v 1.2 1992/12/07 21:09:12 toddb Exp $ */

#ifndef _DeepDisplayP_h_
#define _DeepDisplayP_h_

#include "DeepDisplay.h"
#include <Xm/XmP.h>

/* Types for class methods */

typedef void (*XnvrUpdateDisplayProc)();
#define XnvrInheritUpdateDisplay ((XnvrUpdateDisplayProc) _XtInherit)
#define XnvrInheritRenderDisplay ((XtWidgetProc) _XtInherit)
typedef void (*XnvrPanDisplayProc)();
#define XnvrInheritPanDisplay ((XnvrPanDisplayProc) _XtInherit)

/* The class definition for the DeepDisplay Widget */
typedef struct _XnvrDeepDisplayClassPart
{
    XtPointer	    extension;
} XnvrDeepDisplayClassPart;

typedef struct _XnvrDeepDisplayClassRec
{
    CoreClassPart	    	core_class;
    XnvrDeepDisplayClassPart	deepDisplay_class;
} XnvrDeepDisplayClassRec;

extern XnvrDeepDisplayClassRec xnvrDeepDisplayClassRec;

/* Instance record for the DeepDisplay Widget */
typedef struct _XnvrDeepDisplayPart
{
    /* resource variables */
    Visual *visual;
    GC gc;
    XtCallbackList          resize_callback;
    XtCallbackList          expose_callback;
    XtCallbackList          input_callback;
} XnvrDeepDisplayPart;

typedef struct _XnvrDeepDisplayRec
{
    CorePart		   core;
    XnvrDeepDisplayPart    deepDisplay;
} XnvrDeepDisplayRec;


#endif /* _DeepDisplayP_h_ */
