// $Header: /usr/local/src/nvrToMIT/RCS/Cout.C,v 1.1 1994/05/10 03:01:49 russ Exp $

/*
 * $Id: Cout.C,v 1.1 1994/05/10 03:01:49 russ Exp $
 *
 * Cout.C
 *
 * Copyright Pencom Software, 1994
 */

#include <Cout.h>

Cout::
Cout( char* where ) 
 : done( FALSE )
{
	assert( where );

	out.open( where, ios::out );

	assert( out );

	old_cout = cout;
	old_cerr = cerr;

	cout = out;
	cerr = out;

	done = TRUE;

}

Cout::
~Cout()
{
	if( done )
	{	cout = old_cout;
		cerr = old_cerr;
		out.close();
	}
}
