// $Header: /usr/local/src/nvrToMIT/RCS/Logger.C,v 1.1 1994/03/10 23:47:56 russ Exp $

/*
 * $Id: Logger.C,v 1.1 1994/03/10 23:47:56 russ Exp $
 *
 * Logger.C
 *
 * Copyright Pencom Software, 1994
 */

#include <Logger.h>

char* Logger::prog = NULL;

Logger::
Logger( char* name, type_t type ) : name( name ), type( type )
{	name = !name ? "" : name;
	pid = getpid();
	if( !prog )
	{	prog = !name ? "undefined" : name;
	}
	if( type == verbose ) cout << prog << "(" << pid 
				   << "): BEGIN " << name << endl;
}

Logger::
~Logger()
{	if( type == verbose ) cout << prog << "(" << pid 
				   << "): END   " << name << endl;
}

ostream&
operator<<( ostream& o, Logger& l )
{	return o << l.prog << "(" << getpid() << "): " << l.name 
		 << ": ";
}

