/* $Header: /usr/local/src/nvrToMIT/RCS/Error.h,v 1.1 1994/05/10 23:29:28 russ Exp $ */

#ifndef __h_Error__
#define __h_Error__

/*
 * $Id: Error.h,v 1.1 1994/05/10 23:29:28 russ Exp $
 *
 * Error.h
 *
 * Copyright Pencom Software, 1994
 */

typedef enum perr_t
{	pNoErr 		= 0,
	pNoServ 	= 1,
	pNoSock 	= 2,
	pNoConn 	= 3,
	pNoOpt 		= 4,
	pNoRecv 	= 5,
	pBadServ 	= 6,
	pBadStat 	= 7,
	pNSunit		= 8,
	pNoBind		= 9,
	pNoSelect	= 10,
	pNSfile		= 11,
	pOut		= 12,
	pBusy		= 13,
	pNoTap		= 14,
	pIdle		= 15,
	pBadState	= 16,
	pBadOff		= 17,
	pBadSeq		= 18,
	pNoMem		= 19,
	pNotReady	= 20,
	pNoProc		= 21,
	pInval		= 22,
	pInvalCtrlIf	= 23,
	pInvalSource	= 24,
	pInvalDestin	= 25,
	pNoSeek		= 26,
	pNoRead		= 27,
	pNoWrite	= 28,
	pMaxSpeed	= 29,
	pLastErr	= 30
} perr_t;

#ifdef __cplusplus
extern "C" {
#endif

extern char* perrstr( perr_t p );
extern char* errnostr( int errno );

#ifdef __cplusplus
}
#endif

#endif

