/* $Header: /usr/local/src/nvrToMIT/RCS/Semaphore.h,v 1.1 1994/05/10 23:29:47 russ Exp $ */

#ifndef __h_Semaphore__
#define __h_Semaphore__

#include <iostream.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>

class Semaphore
{
public:
	Semaphore( int semval, char* file = NULL );
	~Semaphore();

	virtual int set( int semval );
	virtual int get();
	virtual int p();
	virtual int v();
	virtual void remove();

	friend ostream& operator<<( ostream& ostr, Semaphore& s );

private:
	key_t key;
	int id;

	semun buf;
	sembuf sop;

	long ps;
	long vs;
};

#endif
