/* $Header: /usr/local/src/nvrToMIT/RCS/Vodoo.h,v 1.1 1994/05/10 23:29:58 russ Exp $ */

#ifndef __h_Vodoo__
#define __h_Vodoo__

/*
 * $Id: Vodoo.h,v 1.1 1994/05/10 23:29:58 russ Exp $
 *
 * Vodoo.h
 *
 * Copyright Pencom Software, 1994
 */

#ifdef __cplusplus
#include <iostream.h>
#include <fstream.h>
#include <strstream.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif
#include <assert.h>
#include <aio.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stddef.h>
#include <stdlib.h>
#include <errno.h>
#include <netdb.h>
#include <time.h>
#include <limits.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/stat.h>
#include <sys/select.h>
#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/uio.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
/*
 * SGI Specific
 */
#include <sys/prctl.h>
#include <sys/schedctl.h>
#include <bstring.h>

#ifdef __cplusplus
}
#endif

#define CBRserviceName "CBR"

#define MaxUDP		(64*1024)	// Max size of UDP packets
#define ConsSize	(60*1024)	// size of UDP packets
#define vsEtoFratio	1		// empty to full buffer ratio in Ring

typedef char bool_t;
typedef long count_t;
typedef int err_t;
typedef long offset_t;
typedef long port_t;
typedef unsigned short seq_t;
typedef int sock_t;
typedef long speed_t;

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

#include <Error.h>
#include <Util.h>
#include <Debug.h>

#ifdef __cplusplus
#include <Logger.h>
#endif

#define max(a,b)	(((a)>(b))?(a):(b))
#define min(a,b)	(((a)<(b))?(a):(b))

#endif


