/* $Header: /usr/local/src/nvrToMIT/RCS/float.c,v 1.2 1992/11/25 18:36:29 toddb Exp $ */
#include "characterize.h"

long DivFloat(nops)
    long nops;
{
    int i;
    float f1 = 1.001;
    float f2 = 1.0;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("fdivs %1,%2,%0" : "=f" (f2) : "f" (f1), "0" (f2))
	)
    }
    HoldFloat(f2);
    return (1);
}

long DivDouble(nops)
    long nops;
{
    int i;
    double d1 = 1.001;
    double d2 = 1.0;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("fdivd %1,%2,%0" : "=f" (d2) : "f" (d1), "0" (d2))
	)
    }
    HoldFloat(d2);
    return (1);
}

long MultFloat(nops)
    long nops;
{
    int i;
    float f1 = 1.001;
    float f2 = 1.0;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("fmuls %1,%2,%0" : "=f" (f2) : "f" (f1), "0" (f2))
	)
    }
    HoldFloat(f2);
    return (1);
}

long MultDouble(nops)
    long nops;
{
    int i;
    double d1 = 1.001;
    double d2 = 1.0;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("fmuld %1,%2,%0" : "=f" (d2) : "f" (d1), "0" (d2))
	)
    }
    HoldFloat(d2);
    return (1);
}

long SubFloat(nops)
    long nops;
{
    int i;
    float f1 = 1000;
    float f2 = .001;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("fsubs %1,%2,%0" : "=f" (f2) : "f" (f1), "0" (f2))
	)
    }
    HoldFloat(f2);
    return (1);
}

long SubDouble(nops)
    long nops;
{
    int i;
    double d1 = 100000;
    double d2 = .001;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("fsubd %1,%2,%0" : "=f" (d2) : "f" (d1), "0" (d2))
	)
    }
    HoldFloat(d2);
    return (1);
}

long AddFloat(nops)
    long nops;
{
    int i;
    float f1 = 1.001;
    float f2 = .001;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("fadds %1,%2,%0" : "=f" (f2) : "f" (f1), "0" (f2))
	)
    }
    HoldFloat(f2);
    return (1);
}

long AddDouble(nops)
    long nops;
{
    int i;
    double d1 = 1.001;
    double d2 = .001;

    for (i = nops; i > 0; i -= 100) {
        Unroll100(
	    asm ("faddd %1,%2,%0" : "=f" (d2) : "f" (d1), "0" (d2))
	)
    }
    HoldFloat(d2);
    return (1);
}

