/* $Header: /usr/local/src/nvrToMIT/RCS/unix.c,v 1.2 1993/01/22 16:37:25 toddb Exp $ */
#include "characterize.h"
#include <sys/time.h>

long GetPid(nops)
    int nops;
{
    int i;

    for (i = nops; i > 0; i -= 100) {
        Unroll100( getpid() )
    }
    return (0);	/* unknown number of instructions */
}

long TimeOfDay(nops)
    int nops;
{
    int i;
    struct timeval tv;

    for (i = nops; i > 0; i -= 100) {
        Unroll100( gettimeofday(&tv, NULL) )
    }
    return (0);	/* unknown number of instructions */
}

static NullFrameTimer()
{
    static int timer;

    return (timer++);
}

long ProfileTimer(nops, basefunc)
    int nops;
    IntFuncPtr basefunc;
{
    short counter = 0;

    profil(&counter,
	   sizeof(short),	/* number of bytes in counter */
	   0,			/* text offset */
	   sizeof(short)); 	/* scale */

    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput(".");
    (*basefunc)(nops); NormalOutput("\n");

    profil(0, 0, 0, 0);

    return ( counter );
}

long FrameTimer(nops, basefunc)
    int nops;
    IntFuncPtr basefunc;
{
    SetFrameTimer(MicroSecPerSec/1000, NullFrameTimer);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    (*basefunc)(nops);
    ClearFrameTimer();
    return ( NullFrameTimer() );
}
