#include <X11/Xlib.h>

char *ProgramName;

main(int argc, char **argv)
{
    Display *dpy;
    Window list[ 20 ];
    int index = 0, i;

    ProgramName = *argv;

    for (argc--, argv++; argc; argc--, argv++) {
	sscanf(*argv, "0x%x", &list[index]);
	index++;
    }

    dpy = XOpenDisplay(NULL);
    if (dpy == NULL)
	Fatal("can't open display\n");

    ProgMsg("XSetWMColormapWindows(dpy, %x, [", list[0]);

    for(i = 1; i < index; i++)
	Msg(" %x", list[i]);
    Msg("], %d\n", index-1);
    XSetWMColormapWindows(dpy, list[0], list+1, index-1);
    XSync(dpy, True);
}
